@echo off
setlocal

SET  INCLUDE=%PRJSUPPORTDIR%;%INCLUDE%;..;out
SET MAKEHTML=.\package\w32\PPW_DOCO
SET  WEBHTML=%DIRWEBIMAGE%\ppwizard
SET  XXCOPYOPT=/bx /r /y /i

md %MAKEHTML% > nul 2>&1
if "%1" == "CHM" goto MakeChm
if "%1" == "chm" goto MakeChm


REM *** Just EXPORT? ********************************************************
if "%1" == "" goto MakeHtml
   REM *** JUST EXPORT ******************************************************
   if not "%1" == "*.*" goto NoKill
   echo *** CLEANING UP ***
   del       %WEBHTML%\*.class      >nul 2>&1
   attrib +r %WEBHTML%\ppwsrch.htm  >nul 2>&1
   attrib +r %WEBHTML%\sitesrch.htm >nul 2>&1
   del       %WEBHTML%\*.htm        >nul 2>&1
   attrib -r %WEBHTML%\ppwsrch.htm  >nul 2>&1
   attrib -r %WEBHTML%\sitesrch.htm >nul 2>&1
:NoKILL
   @echo on
   xxcopy.exe %MAKEHTML%\%1 %WEBHTML% /s %XXCOPYOPT%
   if "%1" == "*.*" xxcopy.exe out\PPWIZARD.CHM  %WEBHTML% /s %XXCOPYOPT%
   @echo off
   goto EndBatch
:MAKEHTML
   REM *** Start cleanly ****************************************************
   rem del %MAKEHTML%\*.* /q /s
   del %MAKEHTML%\*.* /q
   copy ppw_bg.jpg %MAKEHTML%


   REM *** Generated the .HTM ***********************************************
   set DEBUG=
   rem set DEBUG=/debug /option:debuglevel{x3D}/-all/
   rem set DEBUG=/debug

   REM *** Make sure we have current versions of external files *************
   xxcopy.exe "C:\DBAREIS\PROJECTS\HOMEPAGE\HTML\BOOKMARK.I*" .\NEED4DOC %XXCOPYOPT%

   REM *** POOR MANS TOUCH **************************************************
   echo. >> .\NEED4DOC\BOOKMARK.IT

   REM *** Now generate HTML documentation **********************************
   cls
   regina.exe out\ppwizard.rex /option:Warnings="IPFO" %DEBUG% /output:%MAKEHTML%\*.htm /define:DocType=HTML /OTHER /FileNames:Lower /Inc2Cache PPWIZARD.D
   if not errorlevel 1 goto OK
      echo ***
      echo *** Make of PPWIZARD DOCO failed
      echo ***
      goto ENDBATCH
:OK
:MakeChm
   REM *** Create compiled HELP *********************************************
   "C:\Program Files\HTML Help Workshop\hhc.exe" %MAKEHTML%\chm_prj.hhp
   if not errorlevel 1 goto OK2
      echo ***
      echo *** Make of COMPILED PPWIZARD.CHM DOCO failed
      echo ***
      rem goto ENDBATCH
:OK2
   REM *** Move CHM from "package dir" **************************************
   del OUT\*.CHM >nul 2>&1
   MOVE %MAKEHTML%\*.CHM out

   REM *** Make sure graphics is up to date in output dir *******************
   xxcopy.exe zd4star.gif   %MAKEHTML% /bx /r /y /i /q
   xxcopy.exe ppw_flow.gif  %MAKEHTML% /bx /r /y /i /q
   xxcopy.exe xl_dname.gif  %MAKEHTML% /bx /r /y /i /q
   xxcopy.exe csv_ds.gif    %MAKEHTML% /bx /r /y /i /q
   xxcopy.exe t_chart.gif   %MAKEHTML% /bx /r /y /i /q
   xxcopy.exe madewppw.jpg  %MAKEHTML% /bx /r /y /i /q
   xxcopy.exe PPWSCREEN_*   %MAKEHTML% /bx /r /y /i /q

   REM *** Always make sure certain files are up to date ********************
   xxcopy.exe %MAKEHTML%\changehistory.htm %WEBHTML% %XXCOPYOPT%
   xxcopy.exe %MAKEHTML%\*faq*.htm         %WEBHTML% %XXCOPYOPT%
   xxcopy.exe %MAKEHTML%\*ftplike*.htm     %WEBHTML% %XXCOPYOPT%
   xxcopy.exe %MAKEHTML%\opsysstatus*.htm     %WEBHTML% %XXCOPYOPT%
:ENDBATCH
SET  INCLUDE=%PRJSUPPORTDIR%;%INCLUDE%;..;out
SET MAKEHTML=
SET  WEBHTML=

