;---------------------------------------------------------------------------
;     MODULE NAME:   PPWIZARD.D
;
;         $Author:   USER "Dennis"  $
;       $Revision:   1.51  $
;           $Date:   05 Oct 2005 18:07:34  $
;        $Logfile:   C:/DBAREIS/Projects.PVCS/MultiOs/PPWIZARD/ppwizard.d.pvcs  $
;
;     DESCRIPTION:   Main part of PPWIZARD doco.
;
;---------------------------------------------------------------------------


;--- As I user I only support HTML & IPF ------------------------------------
#if    '<$DocType>' <> 'HTML' & '<$DocType>' <> 'IPF'
       #error  'The document type "<$DocType>" is unsupported.'
#endif

#define FEEDBACK_EXTRA
;**      CommentBlock  /* (Saturday 30/12/2000, 17:46:12, by USER "Dennis") */
;**+--------------------------------------------------------------------------
;**|#OneLine '<?Space>'
;**|#define FEEDBACK_EXTRA
;**|        <$p>                                                              -\
;**|        <$BOLD Text=^                                                     -\
;**|                      Note that I am now on holidays for about a week.
;**|                      Hopefully you will not find any bugs!
;**|                      I will not be able to respond to emails until I get
;**|                      back.
;**|                    ^>
;**|#OneLineEnd
;**+--------------------------------------------------------------------------
;**                    /* (Saturday 30/12/2000, 17:46:12, by USER "Dennis") */

;--- Constants --------------------------------------------------------------
#define EXAMPLE_BOOKMARK_IT        NEED4DOC\BOOKMARK.IT
#define EXAMPLE_BOOKMARK_IH        NEED4DOC\BOOKMARK.IH
#define DBAREIS_MAIN_WEB_DIR       dennisbareis.id.au/
#define HttpDbWpsBookmarks         <$DBAREIS_MAIN_WEB_DIR>bookmark.htm
#define HttpDbReginaPage           <$DBAREIS_MAIN_WEB_DIR>regina.htm
#define HttpDbMsvcrtExe            <$DBAREIS_MAIN_WEB_DIR>zip3rdp/msvcrt.exe
#define HttpDbMsvcrtExeRELATIVE    ../zip3rdp/msvcrt.exe
#define HttpDbSiteCopyPage         <$DBAREIS_MAIN_WEB_DIR>freew32.htm
#define HttpPpwizardPage           <$DBAREIS_MAIN_WEB_DIR>ppwizard.htm
#define HttpCheckUrlPage           <$DBAREIS_MAIN_WEB_DIR>checkurl.htm
#define HttpPpwUsersPage           <$DBAREIS_MAIN_WEB_DIR>ppwusers.htm
#define HttpPpwizardDocoRoot       http://<$DBAREIS_MAIN_WEB_DIR>ppwizard/
#define HttpPpwUsersPage_OPSYS     <$HttpPpwUsersPage>#OpSysList
#define HttpSiteCopy               www.lyra.org/sitecopy/
#define HttpImageMagick            www.imagemagick.org/
#define HttpHesslingRegina         www.lightlink.com/hessling/
#define HttpHesslingSQL            rexxsql.sourceforge.net/
#define HttpHesslingGD             www.lightlink.com/hessling/RexxGd/index.html
#define HttpHesslingTK             www.lightlink.com/hessling/RexxTk/index.html
#define HttpSourceOfReginaManuals  <$HttpHesslingRegina>
#define HttpRegUtilByPatrickMcPhee www.interlog.com/~ptjm/
#define HttpRexxTipsAndTricksPage  hobbes.nmsu.edu/cgi-bin/h-search?sh=1&button=Search&key=rexx+tips+%26+tricks&stype=all&sort=type&dir=%2F
#define HttpRexxLaOrg              www.rexxla.org/
#define HttpRxSockTcpipTutorial    www2.hursley.ibm.com/rexxtut/socktut1.htm
#define RexxIoHomePage             www.lestec.com.au/freelibrary.htm
#define HttpSource4WindowsRxSock   home.hiwaay.net/~abbott/regina/
#define NewsRexx                   comp.lang.rexx
#define PpwEmailList               ppwizard@egroups.com
#define HttpMagazineOs2Ezine       www.os2ezine.com
#define COLOR_NAMES                DEFAULT;ERROR;HIGHLIGHT;INFO;PromptText;RESET;RexxTrace;SUMMARY;TITLE;WARNING;?user

;--- "SEARCH" ---------------------------------------------------------------
;;;#define HttpPpwSiteSearchPage   search.searchbutton.com/search?site=826042882
#define HttpPpwSiteSearchPage      intra.whatUseek.com/searchbox.go?crid=59dd87052cd4d987

;--- ZDNET rating on right --------------------------------------------------
#if    ['<$DocType>' <> 'HTML']
       #define P_ZDNET_RATING_ON_RIGHT
#else
       ;--- HTML ------------------------------------------------------------
       #define P_ZDNET_RATING_ON_RIGHT                                 \
               <$p><A HREF="http://www.hotfiles.com/?0017N5">         -\
                   <IMG SRC="zd4star.gif" WIDTH=81 HEIGHT=81           \
                        ALIGN="RIGHT" HSPACE="10" VSPACE=0 BORDER=0    \
                        ALT="See ZdNet's review for PPWIZARD (windows, unix, OS/2 and DOS)" -\
                   >                                                  -\
                   </A>
#endif

;--- PPWIZARD Flow Chart ----------------------------------------------------
#if    '<$DocType>' <> 'HTML'
   #define PpwFlowChart
#elseif
   #define PpwFlowChart                                                                                \
        <IMG SRC="ppw_flow.gif" ALIGN=RIGHT WIDTH=300 HEIGHT=240 VSPACE=5 BORDER=0                     \
             ALT="                                                                                    -\
                    Much simplified flow chart showing what PPWIZARD can do!                           \
                    You can define HTML templates and/or set up common code such as headers            \
                    and footers once and reuse                                                         \
                    (these can make intelligent decisions on what to generate).                        \
                    You can also define smaller &quot;snippets&quot; for reuse or import from SQL      \
                    (Access/Excel/CSV etc).                                                           -\
                 "                                                                                    -\
        >
#endif


;--- PICS rating for HTML ---------------------------------------------------
#define PPW_PICS_RATING                                           \
        <META http-equiv="PICS-Label" content='(PICS-1.1          \
          "http://www.rsac.org/ratingsv01.html" l gen true        \
          comment "RSACi North America Server"                    \
          for "http://dennisbareis.id.au/"             \
          on "2000.07.03T06:40-0800"                              \
          r (n 0 s 0 v 0 l 0))'                                  -\
        >                                                        %\
        <META http-equiv="PICS-Label" content='(PICS-1.1          \
          "http://www.classify.org/safesurf/" l gen true          \
          for "http://dennisbareis.id.au/"             \
          r (SS~~000 1))'                                        -\
        >                                                        %\
        <META http-equiv="PICS-Label" content='(PICS-1.1          \
          "http://vancouver-webpages.com/VWP1.0/" l gen true      \
          comment "VWP1.0"                                        \
          by "http://dennisbareis.id.au/feedback.htm"  \
          on "2000.06.25T17:381700"                               \
          for "http://dennisbareis.id.au/"             \
          r (                                                    -\
               MC 0 Gam -1 Com 0 SF 0 Edu -1 S 0 Can 0 V 0        \
               Env -1 P 0 Tol 0                                   \
            ))'                                                  -\
        >

;--- Explain PPW/REGINA requirements ----------------------------------------
#( '<?NewLine>'
   #define P_REGINA_MACROS
           <$p>Note that Regina looks in the directories mentioned in the
           "<$LinkTo Text='REGINA_MACROS'>" environment variable for REXX
           scripts if they are not in the current directory
           (it does not use the "<$LinkTo Text=^PATH^>" environment variable).
           Unless "ppwizard.rex" is located in a path mentioned in
           "REGINA_MACROS" then a command such as
           "regina<$NoBreakingBlank>ppwizard<$NoBreakingBlank>tryme.it"
           will fail unless PPWIZARD is in the current directory.
           Of course it will also fail if "regina" is not in one of the
           directories mentioned in the "<$LinkTo Text=^PATH^>"
           environment or in the current directory.
#)

;--- Some of my examples use these characters -------------------------------
#AutoTagState +
#if    ['<$DocType>' = 'HTML']
       #AutoTag      ''    '&auml<?xSEMICOLON>'  ;;I tag semi colon in examples so I must be careful
       #AutoTag      ''    '&euml<?xSEMICOLON>'
#endif
#AsIs         SETUP  INTERNATIONAL_SYMBOLS     ;;0 tags when IPF
#AutoTagState -


;--- Define some codes ------------------------------------------------------
#RexxVar  "QM"      =x=  "?"
#RexxVar  "DOLLAR"  =x=  "$"

;[PpwizardFooterDefn]                  ;;Used by documentation
;--- Define Footer for PPWIZARD manual --------------------------------------
#evaluate DateTime               @date('WeekDay') || ' ' || date('Month') || ' ' || substr(date('Sorted'), 7, 2) || ' ' || left(date('Sorted'), 4) || ' at ' || time('Civil')@
#define   MadeWithPpwALT         My whole website and this manual itself was developed using PPWIZARD (free preprocessor written by Dennis Bareis)
#define OL_DOC_HTML_NOCONTENTS_HEADER
;**      CommentBlock  /* (Friday 21/06/2002, 17:47:45, by USER "Dennis") */
;**+--------------------------------------------------------------------------
;**|#define OL_DOC_HTML_NOCONTENTS_HEADER             \
;**|        PPWIZARD is a free preprocessor for HTML, \
;**|        REXX, Visual Basic or                     \
;**|        <B>any</B> text files.<BR>
;**+--------------------------------------------------------------------------
;**                    /* (Friday 21/06/2002, 17:47:45, by USER "Dennis") */
#define OL_DOC_HTML_FOOTER_UNDERLINE              \
        <p><hr<?/>>                              -\
        <CENTER>                                 -\
        <div class="NoPrint">
#(  ''
    #define OL_DOC_HTML_BEFORE_BOTTOM_BUTTONS
    <span class="HeaderFooter">
    <b><i><$EmailAddressSubject Text="email me" EMAIL="<?PpwizardAuthorEmail>" SUBJECT="PPWIZARD MANUAL(<??RexxHeadingLastUsed>) - ">
    &nbsp; any additional information or corrections</i></b>
    <br>
    <a class="External" href="<$HttpPpwizardDocoRoot><??RexxHeadingIdLastUsed>.htm" title="It may not be available online..." target='_blank'>See this page online (look for updates)</a>
    <p>
    </span>
#)

#define OL_DOC_HTML_AFTER_BOTTOM_BUTTONS          \
        #if ['{$CONTENTS}' = 'N']                -\
            <BR>                                 -\
        #elseif                                  -\
            <HR>    ;;Need line under contents   -\
        #endif                                   -\
        PPWIZARD Manual                          -\
        <BR>                                     -\
        <A HREF="../ppwizard.htm">               -\
        <IMG SRC="madewppw.jpg" VSPACE=5 ALIGN=middle WIDTH=120 HEIGHT=35 BORDER=0 ALT="<$MadeWithPpwALT>"> -\
        </A>                                     -\
        <BR>                                     -\
        </div>   ;;"NoPrint" class               -\
        <$DateTime>                              -\
        </CENTER>
;[PpwizardFooterDefn]

;--- What does a title look like? -------------------------------------------
#( ''
   #define OL_DOC_HTML_HEADING_START
   <p>
   <table width="100%" border="0" cellspacing="0" cellpadding="1" bgcolor="#BFDFFF">
       <tr>
           <td align=center>
               <b>
                   <span style="font-size:200%">
#)
#( ''
   #define OL_DOC_HTML_HEADING_END
                   </span>
               </b>
           </td>
       </tr>
   </table>
#)


;--- Include document support -----------------------------------------------
#define    SE_KEYWORDS  html preprocessor, html preprocesser, html,       \
                        rexx, ipf, inf, free, preprocessor, preprocesser, \
                        ppwizard, sql, import, #define, #include,         \
                        html editor, hand code,                           \
                        unix, OS/2,                                       \
                        Windows 95, Windows 98, Windows NT, Windows 2000, \
                        W2K, WIN2000, WIN2K, WIN95, WIN98, WINNT
#define    OL_DOC_HEADINGS_DONT_GENERATE_TITLE                   ;;All my sections already have a title specified
#define    OL_DOC_HTML_BODY             <BODY BACKGROUND="ppw_bg.jpg" BGCOLOR="WHITE">
#define    OL_DOC_HTML_CONTENTS_TITLE   PPWIZARD CONTENTS
#define    OL_DOC_HTML_GENERATE_SEARCH_ICON
#define    OL_DOC_HTML_SEARCH                    <A HREF="http://<$HttpPpwSiteSearchPage>"><IMG SRC="search.gif" BORDER=0 WIDTH=59 HEIGHT=40 ALT="[Search]"></A>
#define    OL_DOC_JAVATREE_APPLET_BEFORE         <CENTER><A HREF="http://<$HttpPpwSiteSearchPage>" TARGET="_Blank"><IMG SRC="search.gif" BORDER=0 WIDTH=59 HEIGHT=40 ALT="[Search]"></A></CENTER><P>
#define    OL_DOC_JAVATREE_APPLET_WITHIN         <param name="Background"  value="255,231,198">
#define    OL_DOC_JAVATREE_APPLET_HEIGHT_WIDTH   height="85%" width="100%"
#define    OL_DOC_HTML_ALLOW_ROBOTS
#define    OL_DOC_HTML_TARGET           _top
#define    OL_DOC_WINDOWS_CHM
#define    CHM_BUTTONS_EXTRA   ,Jump1
#define    CHM_BUTTONS         ChangeFont, Back, Forward, Stop, Refresh, Home, Options, Print, Jump2, <$CHM_BUTTONS_EXTRA>
#define    CHM_JUMP1_TEXT      "Changes"
#define    CHM_JUMP1_LOCN      "ChangeHistory.htm"
#define    CHM_JUMP2_TEXT      "PPW Web"
#define    CHM_JUMP2_LOCN      "<?PpwizardHomePage>"
#define    OL_DOC_HTML_META_TAGS                                                                \
           <META name="description" content="FREE HTML PREPROCESSOR DOCO. Section: {$Title}. PPWIZARD imports SQL, includes external files, handles conditional generation and much more.">  %\
           <META name="keywords" content="<$SE_KEYWORDS>">                                     %\
           <$PPW_PICS_RATING>                                                                  %\
           <!--// PPWIZARD HTML PREPROCESSOR. Section: {$Title} //-->                          %\
           <!--// <$SE_KEYWORDS> //-->                                                         %\
           <META NAME="REVISIT-AFTER" CONTENT="15 days">                                       %\
           <$HEAD_STYLE>
#define     CssNormalText                      \
              font-size:75%;                  -\
                  color:#000000;              -\
            font-family:                      -\
                         "Verdana",           -\
                         "Arial",             -\
                         "Helvetica",         -\
                         "sans-serif";
#define    HEAD_STYLE                                               \
           <STYLE TYPE="text/css">                                 %\
           <!--                                                    %\
           A:hover {color: #FF8429; text-decoration:underline}     %\
           .External:hover {color: white; background-color: #FF0080; \
                           text-decoration:underline}              %\
           PRE                                                      \
           {                                                       -\
               background-color: #fffff7;                          -\
               color:black;                                        -\
               display:block;                                      -\
               white-space:pre;                                    -\
               border:1px solid #800000;                           -\
               padding:5                                           -\
           }                                                       %\
           BODY                                                     \
           {                                                       -\
                   <$CssNormalText>                                -\
           }                                                       %\
           TD                                                       \
           {                                                       -\
                   <$CssNormalText>                                -\
           }                                                       %\
           @MEDIA print                                             \
           {                                                       -\
               .NoPrint *{DISPLAY:NONE ! IMPORTANT;}                \
           }                                                       %\
           .HeaderFooter                                           %\
           {                                                       -\
                    color : Green;                                 -\
                    font : 8pt;                                    -\
           }                                                       %\
           -->                                                     %\
           </STYLE>
#define    OL_DOC_HTML_BEFORE_TOP_BUTTONS            \
           <div class="NoPrint"><P>                 -\
           PPWIZARD is a free preprocessor for HTML, \
           REXX, Visual Basic or                     \
           <B>any</B> text files.<BR>               -\
           </span>
#define    OL_DOC_HTML_HEADER_UNDERLINE   \
           </div>
#define    OL_DOC_HTML_BEFORE_CONTENTS        \
           <$P_ZDNET_RATING_ON_RIGHT>
;**      CommentBlock  /* (Saturday 22/04/2000, 14:47:15, by Dennis_Bareis) */
;**+--------------------------------------------------------------------------
;**|#define    OL_DOC_HTML_BEFORE_TOP_BUTTONS     \
;**|           <$P_ZDNET_RATING_ON_RIGHT><$BR>
;**+--------------------------------------------------------------------------
;**                    /* (Saturday 22/04/2000, 14:47:15, by Dennis_Bareis) */

#define    PRE_LEAVE_ALONE
#define    OL_DOC_JAVATREE
#define    OL_DOC_EXAMPLE_INDENT    0
#include   "OL_DOC.DH"

;--- Define some images to CHM ----------------------------------------------
<$CHM_ADD_FILE FILE="t_chart.gif">
<$CHM_ADD_FILE FILE="ppw_flow.gif">
<$CHM_ADD_FILE FILE="zd4star.gif">
<$CHM_ADD_FILE FILE="ppw_bg.jpg">
<$CHM_ADD_FILE FILE="xl_dname.gif">
<$CHM_ADD_FILE FILE="csv_ds.gif">
<$CHM_ADD_FILE FILE="madewppw.jpg">
<$CHM_ADD_FILE FILE="PPWSCREEN_ASSOC_IT_RIGHT_CLICK.gif">
<$CHM_ADD_FILE FILE="PPWSCREEN_INST_CLOSE.gif">
<$CHM_ADD_FILE FILE="PPWSCREEN_INST_LICENCE.gif">
<$CHM_ADD_FILE FILE="PPWSCREEN_INST_OK_TO_SETUP_DONE_DIALOG.gif">
<$CHM_ADD_FILE FILE="PPWSCREEN_INST_OPTIONS.gif">
<$CHM_ADD_FILE FILE="PPWSCREEN_INST_START.gif">
<$CHM_ADD_FILE FILE="PPWSCREEN_INST_UNINSTALL.gif">

;--- Override some "OL_DOC" defaults ----------------------------------------
#if    ['<$DocType>' = 'HTML']
    #( ''
       #define+ EmailAddressSubject
       #if  ["{$Subject=^^ $$IsBlank}" = "Y"]
            <A HREF="mailto:{$Email}">{$Text=^{$Email}^}</A>
       #elseif
            <A HREF="mailto:{$Email}?subject={$Subject}">{$Text=^{$Email}^}</A>
       #endif
    #)
#endif

;--- I use to take care of URLS for IPF -------------------------------------
#DefineRexx 'REXX_$$PROTECTFROMIPF'
       TheValue = ReplaceString(TheValue, '&', '<?xAMP>');
       TheValue = ReplaceString(TheValue, ':', '<?xCOL>');
#DefineRexx


;--- Define the start of the document ---------------------------------------
<$DocumentStart Text="PPWIZARD - Generic Preprocessor - <?Version>">

;--- Specify some IDS (referred to externally) ------------------------------
#if    ['<$DocType>' = 'HTML']
       #DefineRexx ''
            call SetId 'OL_DOC', translate('UrlBookmarks'),  "bookmarks";
            call SetId 'OL_DOC', translate('#define'),       "HashDefine";
            call SetId 'OL_DOC', translate('#defineRexx'),   "HashDefineRexx";
            call SetId 'OL_DOC', translate('#include'),      "hashinclude";
            call SetId 'OL_DOC', translate('#import'),       "hashimport";
            call SetId 'OL_DOC', translate('#{'),            "LoopStart";
            call SetId 'OL_DOC', translate('#}'),            "LoopEnd";
            call SetId 'OL_DOC', translate('#AsIs'),         "hashAsIs";
            call SetId 'OL_DOC', translate('#evaluate'),     "hashevaluate";
            call SetId 'OL_DOC', translate('#AutoTag'),      "hashAutoTag";
            call SetId 'OL_DOC', translate('#AutoTagState'), "hashAutoTagState";
            call SetId 'OL_DOC', translate('#undef'),        "hashundef";
            call SetId 'OL_DOC', translate('#option'),       "hashoption";
            call SetId 'OL_DOC', translate('#RexxVar'),      "hashRexxVar";
            call SetId 'OL_DOC', translate('#info'),         "hashinfo";
            call SetId 'OL_DOC', translate('#if'),           "hashif";
            call SetId 'OL_DOC', translate('#ifndef'),       "hashifndef";
            call SetId 'OL_DOC', translate('#elseif'),       "hashelseif";
            call SetId 'OL_DOC', translate('#error'),        "hasherror";
            call SetId 'OL_DOC', translate('#endif'),        "hashendif";
            call SetId 'OL_DOC', translate('#break'),        "hashbreak";
            call SetId 'OL_DOC', translate('#DependsOn'),    "hashDependsOn";
            call SetId 'OL_DOC', translate('#('),            "hash1Line";
            call SetId 'OL_DOC', translate('#)'),            "hash1LineEnd";
            call SetId 'OL_DOC', translate('DocumentCreation'), "ol_doc_dh";
            call SetId 'OL_DOC', translate('Beginners Guide'),  "begin_g";
            call SetId 'OL_DOC', translate('Converting From ORB To PPWIZARD'),  "orb2ppw";
            call SetId 'OL_DOC', translate('Converting From SSI To PPWIZARD'),  "ssi2ppw";
            call SetId 'OL_DOC', translate('<$LT>?..<$GT>'),  "lt_dotdot_gt";
            call SetId 'OL_DOC', translate('<$LT>?_<$GT>'),   "lt_nothing_gt";
            call SetId 'OL_DOC', translate('<$LT>?/<$GT>'),   "lt_slash_gt";
       #DefineRexx
#endif

;--- Define some tooltips ---------------------------------------------------
<$Tooltip ID="REXX"          TEXT="You don't have to program in REXX, however you can do some amazing thing if you do. REXX is as powerful as PERL but very much easier to learn!">
<$Tooltip ID="generate mask" TEXT=^A detailed description of what a generate mask is^>
<$Tooltip ID="Dependancies"  TEXT=^PPWIZARD can determine for itself when a rebuild is required to save you time.^>
<$Tooltip ID="Rexx"          TEXT=^REXX is a very simple but powerful scripting language which you can use with REXX although nothing prevents you using PERL, VBSCRIPT etc...^>
#(
   <$Tooltip   ID="Rexx Extensions"
             TEXT=^PPWIZARD has many inbuilt functions you
                   can use in your rexx code.
                   These can be used with all operating systems
                   supported by PPWIZARD.^>
#)

;--- Tooltips for Quotes ----------------------------------------------------
#define  IdqTextq  Quoted Text - $Text$
#define  IdqRestq  Quoted Text - $The$Rest$
<$Tooltip ID=^<$IdqTextq>^   TEXT="A quoted value. Virtually any character can be used as a quote.">
<$Tooltip ID=^<$IdqRestq>^   TEXT="A quoted value. Virtually any character can be used as a quote, but the rest of the line/string should be a SINGLE quoted value (which can contain the quote character)!">

;--- Standard symbols -------------------------------------------------------
#RexxVar  "RealLT"   =x= "<"                  ;;'<' Char
#RexxVar  "RealGT"   =x= ">"                  ;;'>' Char
<$ToolTip ID="<$LT>??Variable<$GT>"                 Text=^<?xRealLT>??Variable<?xRealGT> - Get the value of a rexx variable (or environment variable).^>
<$ToolTip ID="<$LT>?=RexxExpression<$GT>"           Text=^<?xRealLT>?=RexxExpression<?xRealGT> - use result of rexx expression.^>
<$ToolTip ID="<$LT>?/<$GT>"                         Text=^<?xRealLT>?/<?xRealGT> - use value established by the /XSLASH switch^>
<$ToolTip ID="<$LT>?_<$GT>"                         Text=^<?xRealLT>?_<?xRealGT> - Generates "X" code for nothing (empty string)!^>
<$ToolTip ID="<$LT>?..<$GT>"                        Text=^<?xRealLT>?..<?xRealGT> - generated something like "..\..\" (to return you to the "base directory")^>
<$ToolTip ID="<$LT>?BaseDir<$GT>"                   Text=^<?xRealLT>?BaseDir<?xRealGT> - The main input files base directory.^>
<$ToolTip ID="<$LT>?CgiStart<$GT>"                  Text=^<?xRealLT>?CgiStart<?xRealGT> - Generates 2 lines starting with "Content-type: text/html" (used on web servers)^>
<$ToolTip ID="<$LT>?CmdLineTotal<$GT>"              Text=^<?xRealLT>?CmdLineTotal<?xRealGT> - The total effective command line passed to PPWIZARD.^>
<$ToolTip ID="<$LT>?CompileTime<$GT>"               Text=^<?xRealLT>?CompileTime<?xRealGT> - The time that PPWIZARD started.^>
<$ToolTip ID="<$LT>?Data<$GT>"                      Text=^<?xRealLT>?Data<?xRealGT> - Provides a simple way to access #data structures.^>
<$ToolTip ID="<$LT>?DebugOn<$GT>"                   Text=^<?xRealLT>?DebugOn<?xRealGT> - "Y" if debug on^>
<$ToolTip ID="<$LT>?DirSlash<$GT>"                  Text=^<?xRealLT>?DirSlash<?xRealGT> - The correct directory slash for the operationg system ("\" or "/" in UNIX).^>
<$ToolTip ID="<$LT>?Dollar<$GT>"                    Text=^<?xRealLT>?Dollar<?xRealGT> - Generates "X" code for a "$" character^>
<$ToolTip ID="<$LT>?Hash<$GT>"                      Text=^<?xRealLT>?Hash<?xRealGT> - Generates "X" code for a "#" character^>
<$ToolTip ID="<$LT>?HashPrefix<$GT>"                Text=^<?xRealLT>?HashPrefix<?xRealGT> - Generates the current "hash prefix" for commands (default is "#").^>
<$ToolTip ID="<$LT>?IncludeLevel<$GT>"              Text=^<?xRealLT>?IncludeLevel<?xRealGT> - The #include level (starting at 1)^>
<$ToolTip ID="<$LT>?InputComponent<$GT>"            Text=^<?xRealLT>?InputComponent<?xRealGT> - The full name of the current input file.^>
<$ToolTip ID="<$LT>?InputComponentLine<$GT>"        Text=^<?xRealLT>?InputComponentLine<?xRealGT> - The line number of the current input file.^>
<$ToolTip ID="<$LT>?InputComponentTime<$GT>"        Text=^<?xRealLT>?InputComponentTime<?xRealGT> - The date/time of the current input file.^>
<$ToolTip ID="<$LT>?InputFile<$GT>"                 Text=^<?xRealLT>?InputFile<?xRealGT> - The full name of the base input file.^>
<$ToolTip ID="<$LT>?InputFileTime<$GT>"             Text=^<?xRealLT>?InputFileTime<?xRealGT> - The date/time of the base input file.^>
<$ToolTip ID="<$LT>?LessThan<$GT>"                  Text=^<?xRealLT>?LessThan<?xRealGT> - Generates "X" code for a "<" character^>
<$ToolTip ID="<$LT>?NewestFileDateTime<$GT>"        Text=^<?xRealLT>?NewestFileDateTime<?xRealGT> - Get timestamp of newest input file seen (so far).^>
<$ToolTip ID="<$LT>?NewLine<$GT>"                   Text=^<?xRealLT>?NewLine<?xRealGT> - Generates "X" code for a newline character.^>
<$ToolTip ID="<$LT>?NewLine?<$GT>"                  Text=^<?xRealLT>?NewLine?<?xRealGT> - Generates a new line if not already at the start of a line.^>
<$ToolTip ID="<$LT>?OpSys<$GT>"                     Text=^<?xRealLT>?OpSys<?xRealGT> - The GENERIC operating system (WIN32, UNIX etc).^>
<$ToolTip ID="<$LT>?OpSysSpecific<$GT>"             Text=^<?xRealLT>?OpSysSpecific<?xRealGT> - More specific operating system (WIN95, WINXP etc). Not just "WIN32" for all windows!^>
<$ToolTip ID="<$LT>?OutputFile<$GT>"                Text=^<?xRealLT>?OutputFile<?xRealGT> - The full name of the output file^>
<$ToolTip ID="<$LT>?OutputLevel<$GT>"               Text=^<?xRealLT>?OutputLevel<?xRealGT> - Level of output file nesting (starting with 1).^>
<$ToolTip ID="<$LT>?OutputLine<$GT>"                Text=^<?xRealLT>?OutputLine<?xRealGT> - The line number of the next output line to be generated.^>
<$ToolTip ID="<$LT>?PpwizardAuthor<$GT>"            Text=^<?xRealLT>?PpwizardAuthor<?xRealGT> - Currently "<?PpwizardAuthor>"^>
<$ToolTip ID="<$LT>?PpwizardAuthorBaseWebDir<$GT>"  Text=^<?xRealLT>?PpwizardAuthorBaseWebDir<?xRealGT> - Currently "<?PpwizardAuthorBaseWebDir>"^>
<$ToolTip ID="<$LT>?PpwizardAuthorEmail<$GT>"       Text=^<?xRealLT>?PpwizardAuthorEmail<?xRealGT> - Currently "<?PpwizardAuthorEmail>"^>
<$ToolTip ID="<$LT>?PpwizardAuthorHomePage<$GT>"    Text=^<?xRealLT>?PpwizardAuthorHomePage<?xRealGT> - Currently "<?PpwizardAuthorHomePage>"^>
<$ToolTip ID="<$LT>?PpwizardGeneratorMetaTags<$GT>" Text=^<?xRealLT>?PpwizardGeneratorMetaTags<?xRealGT> - The default meta tags that PPWIZARD would normally insert into HTML "HEAD" section.^>
<$ToolTip ID="<$LT>?PpwizardHomePage<$GT>"          Text=^<?xRealLT>?PpwizardHomePage<?xRealGT> - Currently "<?PpwizardHomePage>"^>
<$ToolTip ID="<$LT>?PpwizardPgm<$GT>"               Text=^<?xRealLT>?PpwizardPgm<?xRealGT> - Full name of the PPWIZARD program.^>
<$ToolTip ID="<$LT>?ProcessingMode<$GT>"            Text=^<?xRealLT>?ProcessingMode<?xRealGT> - Processing mode "HTML" etc.^>
<$ToolTip ID="<$LT>?ProtectFromPpwStart<$GT>"       Text=^<?xRealLT>?ProtectFromPpwStart<?xRealGT> - Protect following lines from PPWIZARD processing.^>
<$ToolTip ID="<$LT>?ProtectFromPpwEnd<$GT>"         Text=^<?xRealLT>?ProtectFromPpwEnd<?xRealGT> - Restart normal PPWIZARD processing of lines.^>
<$ToolTip ID="<$LT>?QuestionMark<$GT>"              Text=^<?xRealLT>?QuestionMark<?xRealGT> - Generates "X" code for a "?" character^>
<$ToolTip ID="<$LT>?RestartLine<$GT>"               Text=^<?xRealLT>?RestartLine<?xRealGT> - Rarely used tag to ask PPWIZARD to reprocess line.^>
<$ToolTip ID="<$LT>?RexxSkip<$GT>"                  Text=^<?xRealLT>?RexxSkip<?xRealGT> - Useful in rexx headers to skip subroutines.^>
<$ToolTip ID="<$LT>?RexxSkipTo<$GT>"                Text=^<?xRealLT>?RexxSkipTo<?xRealGT> - Useful in rexx headers to skip subroutines.^>
<$ToolTip ID="<$LT>?SemiColon<$GT>"                 Text=^<?xRealLT>?SemiColon<?xRealGT> - Generates "X" code for a ";" character.^>
<$ToolTip ID="<$LT>?Space<$GT>"                     Text=^<?xRealLT>?Space<?xRealGT> - Generates "X" code for a space character.^>
<$ToolTip ID="<$LT>?SyntaxCheck<$GT>"               Text=^<?xRealLT>?SyntaxCheck<?xRealGT> - To be able to syntax check some generated files, PPWIZARD needs a little help...^>
<$ToolTip ID="<$LT>?SyntaxCheckOff<$GT>"            Text=^<?xRealLT>?SyntaxCheckOff<?xRealGT> - Don't bother inserting syntax checking code and don't syntax check!^>
<$ToolTip ID="<$LT>?TemplateDataFile<$GT>"          Text=^<?xRealLT>?TemplateDataFile<?xRealGT> - The name of the data file (if /template was used).^>
<$ToolTip ID="<$LT>?TmpDir<$GT>"                    Text=^<?xRealLT>?TmpDir<?xRealGT> - The name of a temp directory (for files).^>
<$ToolTip ID="<$LT>?TotalOutputLines<$GT>"          Text=^<?xRealLT>?TotalOutputLines<?xRealGT> - Total number of lines generated.^>
<$ToolTip ID="<$LT>?Unique<$GT>"                    Text=^<?xRealLT>?Unique<?xRealGT> - A unique number.^>
<$ToolTip ID="<$LT>?Version<$GT>"                   Text=^<?xRealLT>?Version<?xRealGT> - PPWIZARD version, currently "<?Version>".^>
<$ToolTip ID="<$LT>?xXX<$GT>"                       Text=^<?xRealLT>?xXX<?xRealGT> - Use specified "X" code (Use predefined or define with #RexxVar etc).^>


;--- Tooltips for commands --------------------------------------------------
<$Tooltip ID="#("         TEXT="'#(' starts a block of lines">
<$Tooltip ID="#)"         TEXT="'#)' ends a block of lines">
<$Tooltip ID="#{"         TEXT="'#{' starts a PPWIZARD loop (includes FOR and SET loops)">
<$Tooltip ID="#}"         TEXT="'#}' ends a PPWIZARD loop">
<$Tooltip ID="#define"    TEXT="'#define' defines simple symbols or macros which can contain programming">
<$Tooltip ID="#elseif"    TEXT="'#elseif' divides the TRUE and FALSE sections of a conditional block">
<$Tooltip ID="#endif"     TEXT="'#endif' ends a conditional block">
<$Tooltip ID="#evaluate"  TEXT="'#evaluate' is similar to #define, can define more complex variables">
<$Tooltip ID="#if"        TEXT="'#if' allows you to conditionally generate output">
<$Tooltip ID="#ifdef"     TEXT="'#ifdef' conditionally generates output if symbol exists">
<$Tooltip ID="#ifndef"    TEXT="'#ifndef' conditionally generates output if symbol doesn't exist">
<$Tooltip ID="#Nextid"    TEXT="'#NextId' creates a new name space (prevents variable clashes)">
<$ToolTip Id='#AsIs'         Text=^#AsIs is intended to handle conversions such as "<" to "&lt;" (to keep things "as is").^>
<$ToolTip Id='#AutoTag'      Text=^#AutoTag can be used to automatically modify the input file.^>
<$ToolTip Id='#AutoTagClear' Text=^#AutoTagClear can be used to remove all "auto tags".^>
<$ToolTip Id='#AutoTagState' Text=^#AutoTagState can be used to save and restore "auto tag" states.^>
<$ToolTip Id='#data'         Text=^#data allows related data to be defined in "structures".^>
<$ToolTip Id='#debug'        Text=^#debug can be used to turn debug on and off.^>
<$ToolTip Id='#DefineRexx'   Text=^#DefineRexx can be used to define blocks of rexx code^>
<$ToolTip Id='#DependsOn'    Text=^#DependsOn can be used to help PPWIZARD keep track of dependancies.^>
<$ToolTip Id='#EOF'          Text=^#EOF can be used to stop processing of an input file.^>
<$ToolTip Id='#error'        Text=^#error can be used to tell PPWIZARD to stop.^>
<$ToolTip Id='#evaluate'     Text=^#evaluate can be used to execute rexx code (optionally creating a PPWIZARD macro).^>
<$ToolTip Id='#import'       Text=^#import can be used to import many database formats (SQL, CSV, fixed).^>
<$ToolTip Id='#include'      Text=^#include can be used to include an external file.^>
<$ToolTip Id='#Info'         Text=^#Info can be used to display something to user during build.^>
<$ToolTip Id='#intercept'    Text=^#intercept can be used to have PPWIZARD execute some code you define for each input line.^>
<$ToolTip Id='#MacroSpace'   Text=^#MacroSpace can be used to improve rexx performance in OS/2.^>
<$ToolTip Id='#NextId'       Text=^#NextId can be used t create a unique namespace.^>
<$ToolTip Id='#OnExit'       Text=^#OnExit is used to set up something which should happen at end of all other processing.^>
<$ToolTip Id='#option'       Text=^#option can be used to save/restore or set PPWIZARD's many options.^>
<$ToolTip Id='#output'       Text=^#output can be used to start generation of a new file.^>
<$ToolTip Id='#OutputHold'   Text=^#OutputHold can be used to temporarily hold output which would normally go to the output file.^>
<$ToolTip Id='#push'         Text=^#push validates nesting or saves rexx/PPWIZARD variables.^>
<$ToolTip Id='#pop'          Text=^#pop restores previously saved rexx or PPWIZARD variables or validates nesting.^>
<$ToolTip Id='#require'      Text=^#require is used to indicate that particular PPWIZARD versions are required.^>
<$ToolTip Id='#RexxVar'      Text=^#RexxVar manipulates rexx variables (simple operations).^>
<$ToolTip Id='#transform'    Text=^#transform can be used to have rexx code executed for each output line.^>
<$ToolTip Id='#UnDef'        Text=^#UnDef undefines a PPWIZARD macro.^>
<$ToolTip Id='#warning'      Text=^#warning can be used to generate a warning message.^>
<$ToolTip Id='#break'        Text=^#break can be used to exit a PPWIZARD loop.^>
<$ToolTip Id='#continue'     Text=^#continue can be used to go back to the start of a PPWIZARD loop.^>

;--- Command line -----------------------------------------------------------
<$ToolTip Id="CommandLine"    Text="Describes PPWIZARD's command line interface (used even if you run PPWIZARD via Windows Explorer or OS/2 WPS).">
<$ToolTip ID="Input Mask"     Text=^An input mask (such as "*.it") tells PPWIZARD what files to process.^>
<$ToolTip ID="Project Files"  Text="A project file is a configuration file (each line contains part of the command line).">
<$ToolTip ID="Switches"       Text=^A switch can start with "-" or "/" and is used to set PPWIZARD options or modes.^>
<$ToolTip ID=^Problem Characters or Parameters^  Text="How to handle spaces or characters that the operating system might normally interpret.">
<$Tooltip ID="CurlyCodes" TEXT=^Codes such as "{x20}" can be used on the command line to hide characters (handle difficult characters that the operating system might misinterpret etc)^>

;--- Tooltips for switches --------------------------------------------------
<$ToolTip ID='/AddressCmdTrace'    Text='/AddressCmdTrace - Helps debug the AddressCmd() routine (execution of external commands).'>
<$ToolTip ID='/BaseDir'            Text='/BaseDir - Sets "base" directory'>
<$ToolTip ID='/BC'                 Text='/BC - Enables PPWIZARD backwards compatability'>
<$ToolTip ID='/Beep'               Text='/Beep - Turns beeping on/off'>
<$ToolTip ID='/BuildTitle'         Text='/BuildTitle - Set the main "build title" message.'>
<$ToolTip ID='/CGI'                Text='/CGI - Makes PPWIZARD easier to use on web server (dynamic pages)'>
<$ToolTip ID='/Clone'              Text='/Clone - Simplistic file syncronisation switch (poor mans file copy)'>
<$ToolTip ID='/Color'              Text='/Color - Turn color display on/off.'>
<$ToolTip ID='/ColorCfg'           Text='/ColorCfg - Configure colors that PPWIZARD uses.'>
<$ToolTip ID='/Console'            Text='/Console - Disable output to console.'>
<$ToolTip ID='/ConsoleFile'        Text='/ConsoleFile - capture all console output to file.'>
<$ToolTip ID='/Copy'               Text='/Copy - "COPY" processing mode.'>
<$ToolTip ID='/CopyRight'          Text='/CopyRight - Display banner?'>
<$ToolTip ID='/CrLf'               Text='/CrLf - What do text lines end with?'>
<$ToolTip ID='/Debug'              Text='/Debug - Turns debug on/off.'>
<$ToolTip ID='/DebugChars'         Text='/DebugChars - Define debug quotes.'>
<$ToolTip ID='/DebugCols'          Text='/DebugCols - Define max number of characters output in a line.'>
<$ToolTip ID='/DebugTime'          Text='/DebugTime - Define Format of time in debug output'>
<$ToolTip ID='/Define'             Text='/Define - Define macros from command line.'>
<$ToolTip ID='/DeleteOnError'      Text='/DeleteOnError - Delete generated files if build fails?'>
<$ToolTip ID='/DeletePrev'         Text='/DeletePrev - Before rebuild, delete output files?'>
<$ToolTip ID='/DependsOn'          Text='/DependsOn - "make" like (but better) dependancy checking.'>
<$ToolTip ID='/DependsOnComplete'  Text='/DependsOnComplete - Depend on PPWIZARD version being used and other things.'>
<$ToolTip ID='/DependsOnWarnings'  Text='/DependsOnWarnings - Generate a dependancy file if warnings detected?'>
<$ToolTip ID='/DropFiles'          Text='/DropFiles - Tell PPWIZARD to forget any input file masks already encountered.'>
<$ToolTip ID='/ErrorFile'          Text='/ErrorFile - Write error information to a file.'>
<$ToolTip ID='/Exclude'            Text='/Exclude - Look for exceptions when processing input file masks.'>
<$ToolTip ID='/Exec'               Text='/Exec - immediately execute a command line'>
<$ToolTip ID='/ExtnInfo'           Text='/ExtnInfo - Configure default processing mode and output masks for source extensions.'>
<$ToolTip ID='/FileNames'          Text='/FileNames - Should PPWIZARD adjust case of generated filenames?'>
<$ToolTip ID='/FileSR'             Text='/FileSR - Define file "slash reduction mode".'>
<$ToolTip ID='/FilterInput'        Text='/FilterInput - run external rexx code to examine each file line?'>
<$ToolTip ID='/FilterOutput'       Text='/FilterOutput - run external rexx code to examine each output file line?'>
<$ToolTip ID='/ForceRebuild'       Text='/ForceRebuild - Rebuild all files (disreguard dependancies state)?'>
<$ToolTip ID='/GetEnv'             Text='/GetEnv - Includes and command line parameters specified in the environment.'>
<$ToolTip ID='/HideCmd'            Text='/HideCmd - Imbed PPWIZARD stuff (hide from GUI tools etc)'>
<$ToolTip ID='/Hook'               Text='/Hook - Intercept some PPWIZARD processing.'>
<$ToolTip ID='/Html'               Text='/Html - "HTML" Processing mode.'>
<$ToolTip ID='/HtmlGenerator'      Text='/HtmlGenerator - Meta tag for generated HTML code'>
<$ToolTip ID='/Inc2Cache'          Text='/Inc2Cache - Read files into cache?'>
<$ToolTip ID='/IncludePath'        Text='/IncludePath - Tell PPWIZARD where to look for files.'>
<$ToolTip ID='/Info'               Text='/Info - Display message to console'>
<$ToolTip ID='/Input'              Text='/Input - Alternative way to define an input mask'>
<$ToolTip ID='/List'               Text='/List - Reads command line from a (configuration) file'>
<$ToolTip ID='/Making'             Text='/Making - Define the PPWIZARD "making" message.'>
<$ToolTip ID='/NoFiles'            Text='/NoFiles - If no filemasks supplied use this info?'>
<$ToolTip ID='/OnERROR'            Text='/OnERROR - Perform what command on failed build?'>
<$ToolTip ID='/OnOK'               Text='/OnOK - Perform what command on successful build?'>
<$ToolTip ID='/Option'             Text='/Option - Set PPWIZARD options'>
<$ToolTip ID='/Other'              Text='/Other - "OTHER" processing mode'>
<$ToolTip ID='/Output'             Text='/Output - Specify where output placed and the filenames.'>
<$ToolTip ID='/OutHeader'          Text='/OutHeader - Define headers which are generated into generated files.'>
<$ToolTip ID='/Pack'               Text='/Pack - Want generated code packed?'>
<$ToolTip ID='/PpwTrace'           Text='/PpwTrace - Allow or disallow PPWIZARD rexx code tracing.'>
<$ToolTip ID='/Reading'            Text='/Reading - Modify or eliminate the "* Reading<$colon> message.'>
<$ToolTip ID='/RedirMethod'        Text='/RedirMethod - How does your operating system handle redirection on the command line?'>
<$ToolTip ID='/RegSyntax'          Text='/RegSyntax - OS/2 only switch to improve syntax check of generated rexx code.'>
<$ToolTip ID='/Require'            Text='/Require - Validate version of PPWIZARD being used?'>
<$ToolTip ID='/Rexx'               Text='/Rexx - "REXX" processing mode'>
<$ToolTip ID='/Sleep'              Text='/Sleep - define length of PPWIZARD pauses.'>
<$ToolTip ID='/SpellAddWord'       Text='/SpellAddWord - specify file where words can be added.'>
<$ToolTip ID='/SpellCheck'         Text='/SpellCheck - specify spelling dictionaries to be used.'>
<$ToolTip ID='/SpellShowAll'       Text='/SpellShowAll - show all errors'>
<$ToolTip ID='/Syntax'             Text='/Syntax - Defines syntax checks to perform on generated code.'>
<$ToolTip ID='/Template'           Text='/Template - Allows all input files to be processed via a template'>
<$ToolTip ID='/Validate'           Text='/Validate - run process over generated file.'>
<$ToolTip ID='/WarningsRc'         Text='/WarningsRc - If warnings exist what return code should PPWIZARD return?'>
<$ToolTip ID='/XSlash'             Text='/XSlash - Want XML style tag closing (using "/>")?'>
<$ToolTip ID='/0OK'                Text='/0OK - Is it Ok for non files to match input masks?'>
<$ToolTip ID='/#Include'           Text='/#Include - Define files to be included'>
<$ToolTip ID='/**/'                Text='/**/ - Remove REXX comments?'>
<$ToolTip ID='/@Extn'              Text='/@Extn - turn off/on extension based project file loading.'>
<$ToolTip ID='/1'                  Text='/@1 - Rest of the command line is one parameter!'>

;--- Tooltips for rexx functions --------------------------------------------
<$ToolTip ID="Add2"                          Text=^Add2() adds data to an array.^>
<$ToolTip ID="AddCommasToDecimalNumber"      Text=^AddCommasToDecimalNumber() adds commas into a number.^>
<$ToolTip ID="AddInputFileToDependancyList"  Text=^AddInputFileToDependancyList() tells PPWIZARD that the file is used as input.^>
<$ToolTip ID="AddOutputFileToDependancyList" Text=^AddOutputFileToDependancyList() tells PPWIZARD that the file is generated as output.^>
<$ToolTip ID="AddTempFileToDependancyList"   Text=^AddTempFileToDependancyList() tells PPWIZARD to ignore this file.^>
<$ToolTip ID="AddressCmd"          Text=^AddressCmd() executes an external command (via command processor).^>
<$ToolTip ID="ArrayRemoveDup"      Text=^ArrayRemoveDup() removes duplicated entries in an array.^>
<$ToolTip ID="ArrayReverse"        Text=^ArrayReverse() reverses entries in an array.^>
<$ToolTip ID="ArraySort"           Text=^ArraySort() sorts an array.^>
<$ToolTip ID="ArraySplit"          Text=^ArraySplit() Splits a string into an array.^>
<$ToolTip ID="ArrayTranslate"      Text=^ArrayTranslate() can remove leading/trailing whitespace and/or change between lower and upper case.^>
<$ToolTip ID="AsIs"                Text=^AsIs() performs "as is" conversions on a string.^>
<$ToolTip ID="AsIsPrepare"         Text=^AsIsPrepare() prepare for "as is" conversions.^>
<$ToolTip ID="AutoTag"             Text=^AutoTag() performs "auto tag" conversions on a string.^>
<$ToolTip ID="AutoTagAdd"          Text=^AutoTagAdd() is an alternative to the #AutoTag command for defining replacements.^>
<$ToolTip ID="Bd2Date"             Text=^Bd2Date() converts a basedate to "YYYYMMDD" (or nicely formatted date).^>
<$ToolTip ID="BaseDate"            Text=^BaseDate() gets todays or specified dates basedate (can add to or subtract from this).^>
<$ToolTip ID="Beeps"               Text=^Beeps() Beep one or more times (if allowed).^>
<$ToolTip ID="BeepsAllow"          Text=^BeepsAllow() Is PPWIZARD allowed to beep?^>
<$ToolTip ID="BreakAt"             Text=^BreakAt() breaks a longer string up as per your specification.^>
<$ToolTip ID="wbr"                 Text=^wbr() adds conditional HTML line breaks into long strings for better display (in HTML tables etc).^>
<$ToolTip ID="BulkChar2String"     Text=^BulkChar2String() performs characters to strings conversions.^>
<$ToolTip ID="BulkChangePrepare"   Text=^BulkChangePrepare() prepares data for characters to strings conversions.^>
<$ToolTip ID="Chars"               Text=^Chars() outputs characters to the console (dot NOT use charout etc).^>
<$ToolTip ID="ColorAllow"          Text=^ColorAllow() Is PPWIZARD allowed to use colors?^>
<$ToolTip ID="ColorCfg"            Text=^ColorCfg() Update the colors PPWIZARD uses.^>
<$ToolTip ID="ColorSet"            Text=^ColorSet() change to another color.^>
<$ToolTip ID="CompareReplaceFixed" Text=^CompareReplaceFixed() checks whether a string matches a specification.^>
<$ToolTip ID="DataInfo"            Text=^DataInfo() retrieves information about #data structures.^>
<$ToolTip ID="DataGet"             Text=^DataGet() retrieves a previously stored string (by key).^>
<$ToolTip ID="DataSave"            Text=^DataSave() stores a string under a key.^>
<$ToolTip ID="Debug"               Text=^Debug() output a debug line (if debug on).^>
<$ToolTip ID="DebugDec"            Text=^DebugDec() decrements debug indenting.^>
<$ToolTip ID="DebugInc"            Text=^DebugInc() increments debug indenting.^>
<$ToolTip ID="DebugOff"            Text=^DebugOff() turns debug off.^>
<$ToolTip ID="DebugOn"             Text=^DebugOn() turns debug on.^>
<$ToolTip ID="Defined"             Text=^Defined() returns "Y" if macro defined.^>
<$ToolTip ID="DieIfIoErrorOccurred"     Text=^DieIfIoErrorOccurred() checks for I/O error on a file.^>
<$ToolTip ID="DirGetCurrent"       Text=^DirGetCurrent() gets name of the current directory.^>
<$ToolTip ID="DirQueryExists"      Text=^DirQueryExists() Checks if a directory exists and returns the full (absolute) name.^>
<$ToolTip ID="Dirs4Mask"           Text=^Dirs4Mask() gets lists of directories matching a filemask.^>
<$ToolTip ID="EnsureFileHasCorrectCase" Text=^EnsureFileHasCorrectCase() adjusts a filenames case as specified on command line.^>
<$ToolTip ID="Error"               Text=^Error() aborts processing^>
<$ToolTip ID="ErrorSql"            Text=^ErrorSql() Aborts process (dumps SQL info).^>
<$ToolTip ID="ExpandXCodes"        Text=^ExpandXCodes() Expands any "<?xRealLT>?xWhatever>" type symbols.^>
<$ToolTip ID="ExtnInfoGet"         Text=^ExtnInfoGet() retrieves user defined file extension information.^>
<$ToolTip ID="FileCharOut"         Text=^FileCharOut() writes characters to a file (dies on I/O error).^>
<$ToolTip ID="FileClose"           Text=^FileClose() closes a file.^>
<$ToolTip ID="FileDelete"          Text=^FileDelete() deletes a file (by default dies if fails).^>
<$ToolTip ID="FileOpenReadOnly"    Text=^FileOpenReadOnly() opens a file for read only (if possible).^>
<$ToolTip ID="FileCopy"            Text=^FileCopy() copies a file.^>
<$ToolTip ID="FileLineOut"         Text=^FileLineOut() writes line(s) to a file (dies on I/O error).^>
<$ToolTip ID="FileNameRelative"    Text=^FileNameRelative() converts an absolute filename to relative if it can.^>
<$ToolTip ID="FileQueryDateTime"   Text=^FileQueryDateTime() Gets a nicely formatted file date/time.^>
<$ToolTip ID="FileQueryExists"     Text=^FileQueryExists() Checks if a file exists and returns the full (absolute) name.^>
<$ToolTip ID="ScheduleCleanupCode" Text=^ScheduleCleanupCode() schedules rexx code to be executed just before PPWIZARD terminates.^>
<$ToolTip ID="FileQuerySize"       Text=^FileQuerySize() gets the file size in bytes.^>
<$ToolTip ID="FileSlashReduction"  Text=^FileSlashReduction() performs "slash reduction" on a filename.^>
<$ToolTip ID="Files4Mask"          Text=^Files4Mask() gets lists of files matching a filemask.^>
<$ToolTip ID="FindFile"            Text=^FindFile() determines the full name of a file (finds it).^>
<$ToolTip ID="FindFileInPath"      Text=^FindFileInPath() finds looks for a file in the locations specified.^>
<$ToolTip ID="FormatNumber"        Text=^FormatNumber() formats a number^>
<$ToolTip ID="FormatTime"          Text=^FormatTime() returns a formatted time^>
<$ToolTip ID="GenerateFileName"    Text=^GenerateFileName() Use a "generate mask" to create a filename.^>
<$ToolTip ID="GetAmPmTime"         Text=^GetAmPmTime() gets the current time in AM/PM format.^>
<$ToolTip ID="GetAmPmTimeFromHhMmSs" Text=^GetAmPmTimeFromHhMmSs() converts the time.^>
<$ToolTip ID="GetCurrentDirectory" Text=^GetCurrentDirectory() what is the current directory?^>
<$ToolTip ID="GetDependancyInfo"   Text=^GetDependancyInfo() allows you to list input/output file dependancies.^>
<$ToolTip ID='GetEnv'              Text='GetEnv() retrieves the value of environment variable'>
<$ToolTip ID="GetFileLineBeingProcessed" Text=^GetFileLineBeingProcessed() returns the text of the current line (read from file), good for error messages etc.^>
<$ToolTip ID="GetFileTimeStamp"    Text=^GetFileTimeStamp() returns the date/time of a file (as a timestamp or formatted).^>
<$ToolTip ID="GetId"               Text=^GetId() retrieves the ID for a string.^>
<$ToolTip ID="GetIdPrepare"        Text=^GetIdPrepare() prepares for get/set ID.^>
<$ToolTip ID="GetImageHeightWidth" Text=^GetImageHeightWidth() gets the image information (GIF, JPG or PNG).^>
<$ToolTip ID="GetInputFileNameAndLine" Text=^GetInputFileNameAndLine() tells you the file and line number being processed.^>
<$ToolTip ID="GetLineBeingProcessed"   Text=^GetLineBeingProcessed() returns the text of the current line being processed.^>
<$ToolTip ID="GetQuotedRest"       Text=^GetQuotedRest() gets a quoted value (the rest of the string)^>
<$ToolTip ID="GetQuotedText"       Text=^GetQuotedText() gets a quoted value.^>
<$ToolTip ID="HtmlGeneratorTags"   Text=^HtmlGeneratorTags() resets or modify HTML generator tags.^>
<$ToolTip ID="IncludePath"         Text=^IncludePath() resets or add to file search path.^>
<$ToolTip ID="Info"                Text=^Info() outputs a message to the screen.^>
<$ToolTip ID="InputComponentLevel" Text=^InputComponentLevel() returns the file at the current or specified include level.^>
<$ToolTip ID="InputComponentLineLevel" Text=^InputComponentLineLevel() returns the file line number at the current or specified include level.^>
<$ToolTip ID="IsDebugOn"           Text=^IsDebugOn() checks if debug is on OR if specific user debug level set.^>
<$ToolTip ID="LoadRexxSql"         Text=^LoadRexxSql() loads REXXSQL support, dies on error.^>
<$ToolTip ID="MacroGet"            Text=^MacroGet() gets the contents of a macro (no replacement takes place)^>
<$ToolTip ID="MacroSet"            Text=^MacroSet() sets the contents of a macro.^>
<$ToolTip ID="MakeDirectoryTree"   Text=^MakeDirectoryTree() makes all parts of a directory.^>
<$ToolTip ID="MakeWebLinks"        Text=^MakeWebLinks() automatically create hypertext links.^>
<$ToolTip ID="Making"              Text=^Making() outputs a "making" progress message.^>
<$ToolTip ID="NoSpam"              Text=^NoSpam() generates a spammer resistant email address.^>
<$ToolTip ID="OptionGet"           Text=^OptionGet() gets the value of PPWIZARD options^>
<$ToolTip ID="OptionSet"           Text=^OptionSet() sets PPWIZARD options.^>
<$ToolTip ID="PadString"           Text=^PadString() pad a string to specified length (left, right or center).^>
<$ToolTip ID="ProcessNext"         Text=^ProcessNext() Have some data added to internal PPWIZARD buffers.^>
<$ToolTip ID="Quoted"              Text=^Quoted() returns your string surrounded by quotes.^>
<$ToolTip ID="QuoteIt"             Text=^QuoteIt() returns a suitable quote character or quoted string.^>
<$ToolTip ID="RandomString"        Text=^RandomString() returns a random string based on a mask.^>
<$ToolTip ID="Reading"             Text=^Reading() outputs a "reading" progress message.^>
<$ToolTip ID="ReplaceCurlyHexCodes" Text=^ReplaceCurlyHexCodes() replaces "{x26}" like codes.^>
<$ToolTip ID="ReplaceMacros"       Text=^ReplaceMacros() replaces macros in a string.^>
<$ToolTip ID="ReplaceString"       Text=^ReplaceString() replaces one string with another.^>
<$ToolTip ID="ReplaceStringCI"     Text=^ReplaceStringCI() replaces one string with another (case insensitive).^>
<$ToolTip ID="RexxVarDefined"      Text=^RexxVarDefined() tells you if a rexx variable exists.^>
<$ToolTip ID="XVarDefined"         Text=^XVarDefined() tells you if an "X" variable exists and helps access its value.^>
<$ToolTip ID="Say"                 Text=^Say() writes line to console (do NOT use the rexx "say" command).^>
<$ToolTip ID='SetEnv'              Text='SetEnv() sets the value of environment variable'>
<$ToolTip ID="SetId"               Text=^SetId() creates an ID for a string.^>
<$ToolTip ID="SetXCode"            Text=^SetXCode() creates an "X code".^>
<$ToolTip ID="SStrip"              Text=^SStrip() strips characters from string (you define characters to strip).^>
<$ToolTip ID="StackPush"           Text=^StackPush() used to store info or for nesting validation.^>
<$ToolTip ID="StackPop"            Text=^StackPop() used to retrieve info or for nesting validation.^>
<$ToolTip ID="Summary"             Text=^Summary() add or remove info from PPWIZARD build summaries.^>
<$ToolTip ID="Tabs2Spaces"         Text=^Tabs2Spaces() converts tabs to spaces.^>
<$ToolTip ID="TimeStamp"           Text=^TimeStamp() returns a timestamp. Can be current time or offset from current or any time.^>
<$ToolTip ID="ToLowerCase"         Text=^ToLowerCase() converts a string to lower case.^>
<$ToolTip ID="ToUpperCase"         Text=^ToUpperCase() converts a string to upper case.^>
<$ToolTip ID="UpdateCrc32"         Text=^UpdateCrc32() calculates a CRC32.^>
<$ToolTip ID="UrlDecode"           Text=^UrlDecode() Decode a URL formatted string.^>
<$ToolTip ID="UrlEncode"           Text=^UrlEncode() encode string for use in a URL.^>
<$ToolTip ID="Warning"             Text=^Warning() generates a warning message (effects PPWIZARD return code).^>
<$ToolTip ID="WriteLineToTmpImportFile" Text=^WriteLineToTmpImportFile() used during #import to write to temp file.^>
<$ToolTip ID="FileGetTmpName"      Text=^FileGetTmpName() returns the name of a temporary file.^>
<$ToolTip ID="FilePart"           Text=^FilePart() extracts file components ("drive" etc).^>



;--- Special Example macros -------------------------------------------------
#if    ['<$DocType>' = 'HTML']
       #define ExampleDarkGreen    <$DarkGreen Text=`{$Text}`>
       #define ExampleRed          <$Red       Text=`{$Text}`>
       #define ExampleBlack        <FONT COLOR="Black">{$Text}</FONT>
       #define Nothing
       #define ColorNeutral       <FONT COLOR="Olive">
       #define ColorBackToDefault </FONT>
#elseif
       #define ExampleBlack        :color fc=black.{$Text}:color fc=<$PRE_COLOR_IPF>.
       #define ExampleDarkGreen    :color fc=darkgreen.{$Text}:color fc=<$PRE_COLOR_IPF>.
       #define ExampleRed          <$Red         Text=`{$Text}`>:color fc=<$PRE_COLOR_IPF>.
       #define ColorNeutral       :color fc=neutral.
       #define ColorBackToDefault :color fc=<$PRE_COLOR_IPF>.
#endif
#define WhiteSpace             <$ColorNeutral>[whitespace]<$ColorBackToDefault>
#define SwitchYesNoWithDefault                                                         \
        <$p>If the "<$DarkGreen Text="YesOrNo">" parameter is not specified then it    \
        defaults to "{$default}", otherwise one of the following values                \
        is expected<$colon>                                                           %\
        <$UnNumberedListCompact>                                                       \
        <$li>Y                                                                         \
        <$li>N                                                                         \
        <$li>YES                                                                       \
        <$li>NO                                                                        \
        <$eUnNumberedListCompact>

#( '<?NewLine>'
   #define P_CfgCaseConversion
   <$p>To configure the case conversion see the
   "<$LinkTo ID='CfgLowerUpper' Text='Upper/Lower Case Configuration'>"
   section.
#)

#( '<?NewLine>'
   #define P_CfgCaseConversionIgnored
   <$p>Note that the configured
   "<$LinkTo ID='CfgLowerUpper' Text='Upper/Lower Case Configuration'>"
   is ignored.
#)





#define   Dim                                  <$ColorNeutral>{$Text}<$ColorBackToDefault>

#autotag  "<?xLT>["                           ^<$ExampleBlack Text="[">^
#autotag  "]<?xGT>"                           ^<$ExampleBlack Text="]">^
#autotag  "[WhiteSpace]"                      ^<$Dim Text='[WhiteSpace]'>^
#autotag  "[DimDotDotDot]"                    ^<$Dim Text='...'>^


#autotag "{$!}"                               ^<$LinkTo ID='MacrosDieWhenUnusedParms'   Text='{<?Dollar>!}'>^
#autotag "{$?}"                               ^<$LinkTo ID='MacrosExpandAllUnusedParms' Text='{<?Dollar>?}'>^
#autotag "/ExtnInfo"                          ^<$LinkTo Text='{$AT}'>^
#autotag "/template"                          ^<$LinkTo Text='{$AT}'>^
#autotag "/output<?xCOL>"                     ^<$LinkTo Text='/output'><?xCOL>^
#autotag "/option<?xCOL>"                     ^<$LinkTo Text='/option'><?xCOL>^
#autotag "/Output<?xCOL>"                     ^<$LinkTo Text='/Output'><?xCOL>^
#autotag "/DependsOn<?xCOL>"                  ^<$LinkTo Text='/DependsOn'><?xCOL>^
#autotag "/ErrorFile<?xCOL>"                  ^<$LinkTo Text='/ErrorFile'><?xCOL>^
#autotag "/ConsoleFile<?xCOL>"                ^<$LinkTo Text='/<?_>ConsoleFile'><?xCOL>^
#autotag "/define<?xCOL>"                     ^<$LinkTo Text='/define'><?xCOL>^
#autotag "/Define<?xCOL>"                     ^<$LinkTo Text='/Define'><?xCOL>^
#autotag "/crlf"                              ^<$LinkTo Text='/crlf'>^
#autotag "/other"                             ^<$LinkTo Text='/other'>^
#autotag "/CrLf"                              ^<$LinkTo Text='/CrLf'>^
#autotag "/beep"                              ^<$LinkTo Text='/beep'>^
#autotag "/color"                             ^<$LinkTo Text='/color'>^
#autotag "/debug"                             ^<$LinkTo Text='/debug'>^
#autotag "/rexx"                              ^<$LinkTo Text='/rexx'>^
#autotag "DebugLevel"                         ^<$LinkTo Text='DebugLevel'>^
#autotag "<?xHASH>AsIs "                      ^<$LinkTo Text='#AsIs'> ^
#autotag "<?xHASH>OneLineEnd"                 ^<$LinkTo Text='#)'>^
#autotag "<?xHASH>OneLine"                    ^<$LinkTo Text='#('>^
#autotag "<?xHASH>("                          ^<$LinkTo Text='#('>^
#autotag "<?xHASH>)"                          ^<$LinkTo Text='#)'>^
#autotag "<?xHASH>AutoTag "                   ^<$LinkTo Text='#AutoTag'> ^
#autotag "<?xHASH>AutoTagClear"               ^<$LinkTo Text='#AutoTagClear'>^
#autotag "<?xHASH>AutoTagState "              ^<$LinkTo Text='#AutoTagState'> ^
#autotag "<?xHASH>if "                        ^<$LinkTo Text='#if'> ^
#autotag "<?xHASH>DependsOn "                 ^<$LinkTo Text='#DependsOn'> ^
#autotag "<?xHASH>RexxVar"                    ^<$LinkTo Text='#RexxVar'>^
#autotag "<?xHASH>require"                    ^<$LinkTo Text='#require'>^
#autotag "<?xHASH>ifdef "                     ^<$LinkTo Text='#ifdef'> ^
#autotag "<?xHASH>ifndef "                    ^<$LinkTo Text='#ifndef'> ^
#autotag "<?xHASH>endif"                      ^<$LinkTo Text='#endif'>^
#autotag "<?xHASH>elseif"                     ^<$LinkTo Text='#elseif'>^
#autotag "<?xHASH>eof"                        ^<$LinkTo Text='#eof'>^
#autotag "<?xHASH>EOF"                        ^<$LinkTo Text='#EOF'>^
#autotag "<?xHASH>data"                       ^<$LinkTo Text='#data'>^
#autotag "<?xHASH>define+"                    ^<$LinkTo Id='#define' Text='#define+'>^
#autotag "<?xHASH>define?"                    ^<$LinkTo Id='#define' Text='#define?'>^
#autotag "<?xHASH>define "                    ^<$LinkTo Text='#define'> ^
#autotag "<?xHASH>DefineRexx+"                ^<$LinkTo Id='#DefineRexx' Text='#DefineRexx+'>^
#autotag "<?xHASH>DefineRexx"                 ^<$LinkTo Text='#DefineRexx'>^
#autotag "<?xHASH>evaluate+"                  ^<$LinkTo Id='#evaluate' Text='#evaluate+'>^
#autotag "<?xHASH>evaluate "                  ^<$LinkTo Text='#evaluate'> ^
#autotag "<?xHASH>NextId"                     ^<$LinkTo Text='#NextId'>^
#autotag "<?xHASH>{"                          ^<$LinkTo Text='#{'>^
#autotag "<?xHASH>}"                          ^<$LinkTo Text='#}'>^
#autotag "<?xHASH>break"                      ^<$LinkTo Text='#break'>^
#autotag "<?xHASH>continue"                   ^<$LinkTo Text='#continue'>^
#autotag "NewLine()"                          ^<$LinkTo Id='NewLine' Text='NewLine()'>^
#autotag "InputComponentLevel("               ^<$LinkTo Id='InputComponentLevel'     Text='InputComponentLevel'>(^
#autotag "InputComponentLineLevel("           ^<$LinkTo Id='InputComponentLineLevel' Text='InputComponentLineLevel'>(^
#autotag "AsIsPrepare("                       ^<$LinkTo Text='AsIsPrepare'>(^
#autotag "AsIs("                              ^<$LinkTo Text='AsIs'>(^
#autotag "Summary("                           ^<$LinkTo Text='Summary'>(^
#autotag "AutoTag("                           ^<$LinkTo Text='AutoTag'>(^
#autotag "AutoTagAdd"                         ^<$LinkTo Text='AutoTagAdd'>^
#autotag "QuoteIt("                           ^<$LinkTo Text='QuoteIt'>(^
#autotag "Quoted("                            ^<$LinkTo Text='Quoted'>(^
#autotag "EnsureFileHasCorrectCase"           ^<$LinkTo Text='EnsureFileHasCorrectCase'>^
#autotag "AddCommasToDecimalNumber"           ^<$LinkTo Text='AddCommasToDecimalNumber'>^
#autotag "GetFileTimeStamp"                   ^<$LinkTo Text='GetFileTimeStamp'>^
#autotag "WriteLineToTmpImportFile"           ^<$LinkTo Text='WriteLineToTmpImportFile'>^
#AutoTag ^DirGetCurrent^                      ^<$LinkTo Text="{$AT}">^
#AutoTag ^DirQueryExists^                     ^<$LinkTo Text="{$AT}">^
#AutoTag ^Dirs4Mask^                          ^<$LinkTo Text="{$AT}">^
#AutoTag ^Files4Mask^                         ^<$LinkTo Text="{$AT}">^
#AutoTag ^FileClose^                          ^<$LinkTo Text="{$AT}">^
#AutoTag ^FileDelete^                         ^<$LinkTo Text="{$AT}">^
#AutoTag ^FileQueryDateTime^                  ^<$LinkTo Text="{$AT}">^
#AutoTag ^FileQueryExists^                    ^<$LinkTo Text="{$AT}">^
#AutoTag ^ScheduleCleanupCode^                ^<$LinkTo Text="{$AT}">^
#AutoTag ^FindFile^                           ^<$LinkTo Text="{$AT}">^
#AutoTag ^ QueryExists(^                     ^ <$LinkTo Text="FileQueryExists">(^  ;;Obsolete name (map examples to new name)
#AutoTag ^FileQuerySize^                      ^<$LinkTo Text="{$AT}">^
#AutoTag ^FileGetTmpName^                     ^<$LinkTo Text="{$AT}">^
#AutoTag ^MustDeleteFile^                     ^<$LinkTo Text="FileDelete">^
#AutoTag ^GetInputFileNameAndLine^            ^<$LinkTo Text="{$AT}">^
#AutoTag ^GetFileLineBeingProcessed^          ^<$LinkTo Text="{$AT}">^
#AutoTag ^GetLineBeingProcessed^              ^<$LinkTo Text="{$AT}">^
#autotag "GetId("                             ^<$LinkTo Text='GetId'>(^
#autotag "SetId"                              ^<$LinkTo Text='SetId'>^
#autotag "GetIdPrepare"                       ^<$LinkTo Text='GetIdPrepare'>^
#autotag "GetEnv"                             ^<$LinkTo Text='GetEnv'>^
#autotag "XVarDefined("                       ^<$LinkTo Text='XVar<?_>Defined'>(^
#autotag "Defined("                           ^<$LinkTo Text='Defined'>(^
#autotag "MacroGet("                          ^<$LinkTo Text='MacroGet'>(^
#autotag "FormatTime("                        ^<$LinkTo Text='FormatTime'>(^
#autotag "GetAmPmTime("                       ^<$LinkTo Text='GetAmPmTime'>(^
#autotag "GetAmPmTimeFromHhMmSs("             ^<$LinkTo Text='GetAmPmTimeFromHhMmSs'>(^
#autotag "BreakAt"                            ^<$LinkTo Text='BreakAt'>^
#autotag "ArraySplit"                         ^<$LinkTo Text='ArraySplit'>^
#autotag "ArraySort"                          ^<$LinkTo Text='ArraySort'>^
#autotag "SortArray"                          ^<$LinkTo Text='ArraySort'>^
#autotag "ReplaceString("                     ^<$LinkTo Text='ReplaceString'>(^
#autotag "ReplaceStringCI("                   ^<$LinkTo Text='ReplaceStringCI'>(^
#autotag "CompareReplaceFixed("               ^<$LinkTo Text='CompareReplaceFixed'>(^
#autotag "FilePart"                           ^<$LinkTo Text='FilePart'>^
#autotag "_filespec"                          ^<$LinkTo Text='FilePart'>^  ;;Map any examples to the new name!
#autotag "ToLowerCase"                        ^<$LinkTo Text='{$AT}'>^
#autotag "AddressCmd"                         ^<$LinkTo Text='{$AT}'>^
#autotag "<?xHASH>include"                    ^<$LinkTo Text='#include'>^
#autotag "<?xHASH>import"                     ^<$LinkTo Text='#import'>^
#autotag "<?xHASH>undef"                      ^<$LinkTo Text='#undef'>^
#autotag "<?xHASH>Error"                      ^<$LinkTo Text='#Error'>^
#autotag "<?xHASH>error"                      ^<$LinkTo Text='#error'>^
#autotag "<?xHASH>warning"                    ^<$LinkTo Text='#warning'>^
#autotag "<?xHASH>info"                       ^<$LinkTo Text='#info'>^
#autotag "<?xHASH>output"                     ^<$LinkTo Text='#output'>^
#autotag "<?xHASH>push"                       ^<$LinkTo Text='#push'>^
#autotag "<?xHASH>pop"                        ^<$LinkTo Text='#pop'>^
#autotag "<?xHASH>OnExit"                     ^<$LinkTo Text='#OnExit'>^
#autotag "<?xLT>?TmpDir<?xGT>"                ^<$LinkTo Text='<?xLT>?TmpDir<?xGT>'>^
#autotag "<?xLT>?RexxSkip<?xGT>"              ^<$LinkTo Text='<?xLT>?RexxSkip<?xGT>'>^
#autotag "<?xLT>?RexxSkipTo<?xGT>"              ^<$LinkTo Text='<?xLT>?RexxSkipTo<?xGT>'>^
#autotag "<?xLT>?CompileTime<?xGT>"             ^<$LinkTo Text='<?xLT>?CompileTime<?xGT>'>^
#autotag "<?xLT>?Space<?xGT>"                   ^<$LinkTo Text='<?xLT>?Space<?xGT>'>^
#autotag "<?xLT>?Version<?xGT>"                 ^<$LinkTo Text='<?xLT>?Version<?xGT>'>^
#autotag "<?xLT>?PpwizardAuthor<?xGT>"          ^<$LinkTo Text='<?xLT>?PpwizardAuthor<?xGT>'>^
#autotag "<?xLT>?PpwizardAuthorEmail<?xGT>"     ^<$LinkTo Text='<?xLT>?PpwizardAuthorEmail<?xGT>'>^
#autotag "<?xLT>?PpwizardHomePage<?xGT>"        ^<$LinkTo Text='<?xLT>?PpwizardHomePage<?xGT>'>^
#autotag "<?xLT>?NewLine<?xGT>"                 ^<$LinkTo Text='<?xLT>?NewLine<?xGT>'>^

#autotag "<?xLT>?TemplateDataFile"              ^<?xLT>?<$LinkTo ID='<?xLT>?TemplateDataFile<?xGT>' Text='TemplateDataFile'>^
#autotag "<?xLT>?PpwizardPgm"                   ^<?xLT>?<$LinkTo ID='<?xLT>?PpwizardPgm<?xGT>'      Text='PpwizardPgm'>^

#autotag "<?xLT>?InputFile<?xGT>"               ^<$LinkTo Text='<?xLT>?InputFile<?xGT>'>^
#autotag "<?xLT>?InputComponent<?xGT>"          ^<$LinkTo Text='<?xLT>?InputComponent<?xGT>'>^
#autotag "<?xLT>?OutputFile<?xGT>"              ^<$LinkTo Text='<?xLT>?OutputFile<?xGT>'>^
#autotag "<?xLT>?InputFile<?xCOL>"              ^<?xLT>?<$LinkTo ID='<?xLT>?InputFile<?xGT>'        Text='InputFile'><?xCOL>^
#autotag "<?xLT>?OutputFile<?xCOL>"             ^<?xLT>?<$LinkTo ID='<?xLT>?OutputFile<?xGT>'       Text='OutputFile'><?xCOL>^
#autotag "<?xLT>?InputComponent<?xCOL>"         ^<?xLT>?<$LinkTo ID='<?xLT>?InputComponent<?xGT>'   Text='InputComponent'><?xCOL>^
#autotag "<?xLT>?InputFileTime<?xCOL>"          ^<?xLT>?<$LinkTo ID='<?xLT>?InputFileTime<?xGT>'    Text='InputFileTime'><?xCOL>^
#autotag "<?xLT>?Data<?xCOL>"                   ^<?xLT>?<$LinkTo ID='<?xLT>?Data<?xGT>'             Text='Data'><?xCOL>^
#autotag "<?xLT>?DirSlash<?xGT>"                ^<$LinkTo Text='<?xLT>?DirSlash<?xGT>'>^
#autotag "<?xLT>?Unique<?xGT>"                  ^<$LinkTo Text='<?xLT>?Unique<?xGT>'>^
#autotag "<?xLT>?IncludeLevel<?xGT>"            ^<$LinkTo Text='<?xLT>?IncludeLevel<?xGT>'>^
#autotag "<?xLT>?OutputLevel<?xGT>"             ^<$LinkTo Text='<?xLT>?OutputLevel<?xGT>'>^
#autotag "<?xLT>?OpSys<?xGT>"                   ^<$LinkTo Text='<?xLT>?OpSys<?xGT>'>^
#autotag "<?xLT>?OpSysSpecific<?xGT>"           ^<$LinkTo Text='<?xLT>?OpSysSpecific<?xGT>'>^
#autotag "<?xLT>?ProcessingMode<?xGT>"          ^<$LinkTo Text='<?xLT>?ProcessingMode<?xGT>'>^
#autotag "<?xLT>?ProtectFromPpwStart<?xGT>"     ^<$LinkTo Text='<?xLT>?ProtectFromPpwStart<?xGT>'>^
#autotag "<?xLT>?ProtectFromPpwEnd<?xGT>"       ^<$LinkTo Text='<?xLT>?ProtectFromPpwEnd<?xGT>'>^
#autotag " %\"                                ^ <$LinkTo Id='Line Continuation' Text='%\' TOOLTIP="Line Continuation - NewLine separation">^
#autotag " \\"                                ^ <$LinkTo Id='Line Continuation' Text='-\' TOOLTIP="Line Continuation - NO separation">^
#autotag " -\"                                ^ <$LinkTo Id='Line Continuation' Text='-\' TOOLTIP="Line Continuation - NO separation">^
#autotag " \"                                 ^ <$LinkTo Id='Line Continuation' Text='\'  TOOLTIP="Line Continuation - Space separation">^
#autotag "<?xHASH><?xDOLLAR>@!include"        ^<$LinkTo Id='#include' Text='#<?xDOLLAR>@!include'>^
#autotag "<?xHASH>option"                     ^<$LinkTo Text='#option'>^
#autotag "ReplacementTags="                   ^<$LinkTo Text='ReplacementTags'>=^
#autotag "MacroParmTags="                     ^<$LinkTo Text='MacroParmTags'>=^
#autotag "DefineMacroReplace="                ^<$LinkTo Text='DefineMacroReplace'>=^
#autotag "replace="                           ^<$LinkTo Text='replace'>=^
#autotag "HashPrefix="                        ^<$LinkTo Text='HashPrefix'>=^
#autotag "ExtraIndent="                       ^<$LinkTo Text='ExtraIndent'>=^
#autotag "OL_DOC.DH"                          ^<$LinkTo ID="DocumentCreation" Text='OL_DOC.DH'>^

;--- Comment links (try to limit false hits) --------------------------------
#autotag ";-"                                 ^<$LinkTo Id='Commenting' Text=';' TOOLTIP="Line comment">-^
#option  PUSH LineComment="NULL"
#autotag ";;"                                 ^<$LinkTo Id='Commenting' Text=';;' TOOLTIP="In line comment">^
#option  POP

#define PathSearch                                                          \
        <$p>The following locations are searched in order, using            \
            <$LinkToRoutine Text='FindFileInPath'><$colon>                 %\
        <$OrdListCompact>                                                  -\
        <$li><$DarkGreen Text='The Current Directory'>                     -\
        <$li><$DarkGreen Text='The Main Input Files Directory'>            -\
        <$li><$DarkGreen Text='/INCLUDEPATH'>                              -\
             <$Br>                                                         -\
             Any locations specified with the                               \
             <$LinkTo Text='/IncludePath'> switch or                        \
             <$LinkToRoutine Text='IncludePath'> routine.                  -\
        <$li><$LinkTo Text='PPWIZARD_INCLUDE'> environment variable.       -\
        <$li><$DarkGreen Text='INCLUDE'> environment variable.             -\
        <$li><$DarkGreen Text='PPWIZARD Install Directory'>                -\
        <$eOrdListCompact>



;############################################################################
;
; Note: altavista & google have both implemented my search title/url
; suggestions. To maximize hits ensure that at least one HTML URL has
; "html preprocessor" imbedded.

<$Heading                                               \
     ID="IntroductionToPpwizardHtmlPreprocessor"        \
   Text="Introduction"                                  \
>
<$HeadingDown>
;############################################################################
<$Index1>
<$Title>


<$P><$PpwFlowChart>
<$p>This is a generic preprocessor which allows you to use some very
powerful features such as
"<$LinkTo Text='#if'>", "<$LinkTo Text='#define'>" and "<$LinkTo Text='#include'>".
The preprocessor is known to work under<$Colon>
<$OrdListCompact>
   <$Li>Windows NT/2000/XP
   <$Li>Windows 95/98/ME
   <$Li>OS/2
   <$Li>UNIX (including Linux, FreeBSD, Solaris)
   <$li>Mac OS X (Darwin)
   <$Li>BeOS
   <$Li>DOS
<$eOrdListCompact>

<$p>PPWIZARD is more powerful than virtually any other preprocessor
available and unlike many others remains simple to use (no complicated
syntax); its replacement syntax is HTML like.

<$p>PPWIZARD can be particularly useful for people who like to hand code
their HTML and use a HTML editor.
The use of a GUI-based editor
does not, however, rule out PPWIZARD's use and some editors allow you
to define your own tags (allowing you to add PPWIZARD's tags and commands).

<$p>Some people recommend the use of a html preprocessor when SSI
is unavailable.
I recommend the opposite, use PPWIZARD for what it can do well and only use
SSI if required (to do things it does well such as browser sniffing).
You will find it will be much easier to maintain a site using PPWIZARD
instead of server side includes and it also lets you do a lot more.

<$p>You may have frequently seen JavaScript mentioned as "the solution",
not only is this relatively limiting and difficult but it will fail
for the up to 20% of people who have JavaScript disabled
(so your site navigation links etc will not be visible to the "customer").

<$p>The free "Regina" interpreter is required for
<$LinkTo ID='OpSysStatus' Text='operating systems other than OS/2'>
(this is installed for you under Windows).
There are no binaries to build, the one version of PPWIZARD runs
everywhere.

<$p>Before I go further, if it all starts to sound complicated (and it
certainly can be) then please check out the
<$LinkTo Text='Beginners Guide'> section (you may wish to look at some of
the
#if    ['<$DocType>' = 'IPF']
       sites PPWIZARD users have created at <$HtmlPage PAGE="<$HttpPpwUsersPage>">).
#else
       <A HREF="http://<$HttpPpwUsersPage>" TARGET="<$OL_DOC_HTML_TARGET>">sites PPWIZARD users have created</A>).
#endif
Since PPWIZARD is a generic tool, using it can be as easy or as hard as your
level of experience can handle.
Even at its simplest level PPWIZARD can easily save you heaps of time,
not only initially building a site, but in keeping it up to date
and running (where you will find all the work actually is).
I am perfectly willing to answer questions.

<$p>Another point worth remembering is that PPWIZARD does not try to bolt
on every possible feature (like other preprocessors), it has been designed
to be extremely extensible and so site maps, url checking/reporting,
thumbnail creation and much more is provided by add-ons.
These are generally written to be very configurable but if you have an
add-on you have the source code so if required you could rewrite or
tweek it.

<$p>This preprocessor is commonly used as an HTML preprocessor as well
as a REXX preprocessor, however there is no reason
why this one preprocessor can't handle almost any file you have
around (example<$colon> you can change the preprocessor to use "!if" etc and
leave "#if" commands alone if you wish).

<$p>Most people would probably find the
<$LinkTo Text='#include'> and <$LinkTo Text='#define'> commands
the most useful, as they could be used to ensure that you need never specify
something more than once.  For example, you might refer to a specific
link (or image) in tens of places in different HTML pages but you can define it
in one place.  When you need to change it you make the one change and
regenerate the HTML.  Its not just easier and fast,
it <$Bold Text='eliminates mistakes'>.
You could set up your source and have automatic checking of the
existence of any resources on your web page (no incorrect links).

<$p>The "<$LinkTo Text='#if'>" support is much more powerful than that of
any other preprocessor due to the fact that what it executes is
<$LinkTo Text=^REXX^>
code.
What this means is that any REXX expression can be called,
including your own REXX procedures.  The
"<$LinkTo Text='#evaluate'>" command allows you to parse files or do
whatever you need to in order to obtain the text you wish to use in your HTML.

<$p>You can use this program to produce different versions of your
HTML pages for different locations.  For example, for an offline
copy you may not want to have links to internet sites or may want to have
different links.
The preprocessor could be used in conjunction
with an HTML editor, however it is most useful for power users.
;**      CommentBlock  /* (Tuesday 30/11/1999, 17:54:41, by Dennis_Bareis) */
;**+--------------------------------------------------------------------------
;**|You
;**|may wish to check out
;**|"<$DarkGreen Text='http<$colon>//www.yoursite.co.uk/os/2/webwriter/'>" as
;**|this beta tool has specific support for this preprocessor.
;**+--------------------------------------------------------------------------
;**                    /* (Tuesday 30/11/1999, 17:54:41, by Dennis_Bareis) */

<$p>This tool can be used to automatically calculate
<$LinkTo Id='GetImageHeightWidth' Text='image widths and heights'>,
file sizes, or file dates and times, and basically do all the drudge
work (the stuff most likely to otherwise quickly become out of date).

<$p>By default excess leading spaces are removed from the output file
so that you can format the input as much as you like without
impacting download speed.

<$p>If you can't explain why an error message is being displayed or
your code is not generated as you'd expect then I highly recommend
you try the "<$LinkTo Text='/debug'>" command line switch.  I'd also like the debug
output if you report problems.

<$p><$Bold Text='If you have used a previous version of the'>
<$Bold Text="preprocessor then I'd recommended you examine the">
<$LinkTo Id='ChangeHistory' Text='change history section'>
<$Bold Text='to determine what changes might affect you'>.

<$p>Please see my web page at <$HtmlPage Page=^<$HttpPpwizardPage>^>
for the latest copy of this program or contact me (Dennis Bareis)
via e-mail (<$DarkGreen Text='<?PpwizardAuthorEmail>'>).
I value feedback from users.

#if  ['<$DocType>' = 'IPF']
     <$p>If the examples in this INF version of the documentation don't look
     correct (fonts overlap, etc.) then you have removed "Courier 8' font from
     your operating system.  Please restore it...
#endif

<$p>Note that I would have loved to have written this in Java, however
as a compiled language it does not have an "interpret" instruction.
Apparently something is being added to version 1.2 which might allow
something similar; I'll have a look then.  The "interpret"
instruction is important as it allows the preprocessor to be extended
as well as doing a lot of work I'd otherwise need to do myself (and I
wouldn't do it as well).  I will not be rewriting the preprocessor in
Java (as it wouldn't be compatible with the REXX version), but with
any luck I'd be able to write any similar future stuff in Java....


;--- DB$ Test ---------------------------------------------------------------



;**      CommentBlock  /* (Saturday 09/10/1999, 16:37:17, by Dennis_Bareis) */
;**+--------------------------------------------------------------------------
;**|;===========================================================================
;**|<$Heading Text="FAQ">
;**|;===========================================================================
;**|<$Index2>
;**|<$Title Text=^PPWIZARD FAQ^>
;**|
;**|<$LinkTo Text="Fredo">
;**|
;**|<$p>The following (currently short list) of questions are asked<$colon>
;**|
;**|;--- Generate FAQ -----------------------------------------------------------
;**|   ;#debug on
;**|   #define+  FAQ_DATA_FILE  FAQCONT.DH
;**|   #include  "PPWFAQ.DH"
;**|   ;#debug off
;**|
;**|<$DocumentEnd>
;**|#Eof
;**+--------------------------------------------------------------------------
;**                    /* (Saturday 09/10/1999, 16:37:17, by Dennis_Bareis) */


;**      CommentBlock  /* (Saturday 22/04/2000, 14:49:00, by Dennis_Bareis) */
;**+--------------------------------------------------------------------------
;**|;--- DB$ TEMP TEST STUFF -----
;**|#INCLUDE "orb2ppw.dh"
;**|<$DocumentEnd>
;**|#Eof
;**+--------------------------------------------------------------------------
;**                    /* (Saturday 22/04/2000, 14:49:00, by Dennis_Bareis) */




;----------------------------------------------------------------------------
;--- Include OPERATING SYSTEM STATUS ----------------------------------------
;----------------------------------------------------------------------------
#include "STATUS.DH"



;--- Define macros for marking Older change history items -------------------
#( '<?NewLine>'
   #define HistoryOlder
   <$eOrdList>

   <$Title Text="Older Entries Than Those Above">
   #if    ['<$DocType>' = 'IPF']
       <$P>If you need to see older entries then please have a look at
       my html documentation as I had to remove this information from the
       IPF/INF version due to compiler problems.
   #elseif
       <$P>If you need to see older entries then please have a look at
       <$LinkTo Id="ChangeHistoryOlder" Text="my older change history page">.

       ;===========================================================================
       <$HeadingDown>
       <$Heading Id="ChangeHistoryOlder" Text="Change History - Older Entries">
       <$HeadingUp>
       ;===========================================================================
       <$Index2>
       <$Title>
       <$P_ZDNET_RATING_ON_RIGHT>
       <$P>This page does not contain
       <$LinkTo Id="ChangeHistory" Text="the latest ppwizard change history entries">.
       It is meant as a bit of an archive in case you are upgrading from a really old
       release or maybe you are just interested.
       Just note that any change described here could easily have been superceeded
       in a newer release.
   #endif
   <$OrdList>
#)
#define /HistoryOlder




;===========================================================================
<$Heading Id="ChangeHistory" Text="Change History">
;===========================================================================
<$Tooltip TEXT="This holds a detailed change history which can help when upgrading ppwizard">
<$Index2>
<$Title>
<$P_ZDNET_RATING_ON_RIGHT>
<$p><$Red Text=^                                                      -\
          Please note that my version numbers are of the format        \
          "YY.DDD" where "YY" represents the year and                  \
          "DDD" is the day of the year (1-366).                       %\
          While this format does not let you know of the magnitude     \
          of any changes (my change history shows this) it does make   \
          it simple to know the "age" of a release.                   -\
          ^>

<P><$Bold Text="Please let me know of any bugs or issues               \
                and do not assume that someone else has reported it">.
I have fixed all known bugs/issues.
The very fact that you are having a problem means that I probably
do not know of it!
In rare cases I do get snowed under and forget things, in this case
remind me!

<$OrdList>
   #include "History.DH"
<$eOrdList>



;**      CommentBlock  /* (Wednesday 14/03/2001, 22:28:19, by USER "Dennis") */
;**+--------------------------------------------------------------------------
;**|;--- DB$Test ----------------------------------------------------------------
;**|<$Heading Text="TEST TEST TEST">
;**|<$p>Cross fingers<$colon>
;**|<$ExamplE STATE="REMEMBER">
;**|Test end of example tags below
;**|<$eExample>
;**|Test end of example tags above
;**|<$eExamplE>
;**|<$DocumentEnd>
;**+--------------------------------------------------------------------------
;**                    /* (Wednesday 14/03/2001, 22:28:19, by USER "Dennis") */



#Include "INSTALL.DH"


;===========================================================================
<$Heading Text="FAQ">
;===========================================================================
<$Index2>
<$Title Text=^PPWIZARD FAQ^>

<$p>The following (currently short list) of questions are answered<$colon>

;--- Generate questions and answers -----------------------------------------
#define+  FAQ_DATA_FILE  FAQCONT.DH
#include  "PPWFAQ.DH"



;===========================================================================
<$Heading ID="Bugs or Suggestions" Text="Bugs, Problems or Suggestions">
;===========================================================================
<$Index2>

<$FEEDBACK_EXTRA>

<$p>Before asking questions, I would appreciate it if you'd ensure that
your answer was not in the <$LinkTo TEXT=^FAQ^> or
#if    ['<$DocType>' = 'HTML']
       <$LinkTo ID="<??ContentsId>" TEXT=^this manual^>!
#elseif
       this manual!
#endif


<$Title Text='Requested Information - Bugs or Problems'>

<$p>If reporting bugs/problems please supply<$colon>

<$OrdList>
<$li>A detailed description of the problem.
     Please don't bother wasting your and my time by
     telling me "it did not work".

<$li>All files involved (input, output, and any batch files used to run
     the preprocessor).
     You have hopefully trimmed out everything which is not required by
     me to recreate the problem.

<$li>When supplying the redirected output from PPWIZARD please ensure that
     you had used <$LinkTo TEXT="/DEBUG"> on the command line to turn on
     debug mode.
<$eOrdList>

<$p><$Red Text=^The easier you make it for me the faster        \
               I will be able to come up with a fix or tell     \
               you what you're doing wrong, etc.               -\
               ^                                               -\
    >


<$Title Text='Reporting Bugs/Problems or Suggestions'>


<$p>There are two main ways to report PPWIZARD issues or ask questions.
They are<$colon>
<$OrdList>
   <$li><$Bold Text="PPWIZARD Discussion List">
        <$br>
        People who are very interested in PPWIZARD can now join an e-mail
        based discussion group, any e-mail sent to
        <$EmailAddressSubject EMAIL="<$PpwEmailList>" SUBJECT="PPWLIST - ">
        will be seen by all subscribers.
        Hopefully I won't have to answer them all, but if one person
        answers, everyone gets the benefit of the response.
        All messages are archived so you can always go back and see
        previous messages.
        I will also make announcements on this list.

        <$p>If you think the problem might be a PPWIZARD or Regina
        bug (which you think others probably haven't encountered) you may
        wish to contact me directly as others may not be interested (we
        don't want too many messages).

        <$p>Please don't attach large files to e-mails sent to this
        address (there is a 100K limit as well anyway).

        <$p>We'll have to see how it goes. Hopefully it does not need to
        become moderated (I probably haven't got time for that!).

   <$li><$Bold Text="Author's Email Address">
        <$br>
        I will take feedback in this manner but in general prefer the
        e-mail list mentioned above.
        Exceptions might be where you have large attachments, you don't
        think anyone else would be interested, you don't want to join
        the group (why not?) or you really want to hammer me!

        <$p>If you must e-mail me directly then send it to
        <$EmailAddressSubject EMAIL="<?PpwizardAuthorEmail>" SUBJECT="PPWIZARD BUG/SUGGESTION - ">.
        If I think its appropriate I will "CC" the above discussion group
        with my response.

        <$p><$BOLD Text=^If you do email me directly please make sure \
                         your reply address is valid!^>
            I have spent quite a bit of time on a number of replies
            that were rejected (either unauthorised or no such email address).
            I respond to all emails that require one, if you don't get a
            reponse reasonably quickly then I didn't get your email, the
            response got lost somehow or I'm on holidays!
            To be sure to bypass my SPAM filtering be sure to include
            "PPWIZARD" in the subject line.
<$eOrdList>

<$p>Please <$Bold Text="zip attachments">. This reduces the size of the e-mail
and ensures that the information gets here uncorrupted.


<$Title Text='Known Bugs or Problems'>

<$p>The following bugs are PPWIZARD bugs<$colon>
<$OrdList>
   <$li>None Known.
<$eOrdList>

<$p>The following bugs may occur when using the native interpreters
under OS/2<$colon>
<$OrdList>
   <$li>None Known.
<$eOrdList>

<$p>The following bugs may occur under
any operating system using Regina (I will assume on "one of my recommended
versions only")<$colon>
<$OrdList>
   <$li>The <$LinkTo ID='/DebugTime' Text="debug time"> will be plus
        or minus a second (this can produce negative times, etc.).

   <$li>Regina has a number of 'query exists' bugs, the one that might
        affect you is if you specify an input file such as
        "C<$colon>\CONFIG.SYS" and PPWIZARD tells you it can't open the
        "CONFIG.SYS" file in a completely different directory!
        Another one is where "garbage" might appear after a filename.
<$eOrdList>


;===========================================================================
<$Heading Text="Disclaimer">
;===========================================================================
<$Index2>
<$Title>

<$p>I believe it is very unlikely that PPWIZARD or Regina will cause
damage to your system, however I feel that it is wise to advise you of
steps you can take if your data is highly critical.

<$p>I wish to stress that <$Bold Text="you take full responsibility"> for
ensuring that PPWIZARD (or any other software related to PPWIZARD)
is suitable for use in your intended environment.

<$p>PPWIZARD is supplied "<$Bold Text="as is">" and may contain bugs.
It is just impossible to test software (or even information) in
all environments as there are just too many possibilities.
For this reason you should <$Bold Text="test"> any
software/information yourself for suitability before using in
production or placing onto machines containing
important information.
By doing this you will have helped ensure that there are no
unintended drastic side effects.
Prior to testing it is recommended that a full <$Bold Text="backup">
of your hard disk be performed.



<$TARGET NAME="UpdatingFromOlderVersions">
<$Title Text="Updating from Older Versions">

<$p>While I will try to keep PPWIZARD backwards compatible with older
versions, I will at times (intentionally or not) change it in such
a way as to require you to make changes to your source (batch
files, code, etc.) if you wish to upgrade to the newer version of PPWIZARD.

<$p>I will have expected you to have read the
<$LinkTo Id="ChangeHistory" Text="Change History"> as it will usually
indicate any source changes that you might need to make, plus any other
potentially important information.

<$p>It is recommended that you
<$Bold Text="backup your source (including any batch files, etc.) AND the older versions">
of my programs before trying a newer version.


<$Title Text="LINKS">

<$p>Any links I mention are provided "as is"; it is up to you to
determine the quality of any site I link to or any software I mention...


;===========================================================================
<$HeadingUp>
#include "BEGIN.DH"
;===========================================================================

;--- ORB --------------------------------------------------------------------
#INCLUDE "orb2ppw.dh"


;############################################################################
<$Heading Text='Converting From SSI To PPWIZARD'>
;############################################################################
<$Index2>
<$Title>

<$p>There is now a PPWIZARD add-on available from the download page which
allows you to easily migrate from Server Side Includes (SSI) to PPWIZARD
at your own pace.
You can have both SSI and PPWIZARD tags in the same files.

<$p>It will tell you where all SSI tags are located and tell you which ones
can't be handled.
If a tag can't be handled then you have the option of leaving it in place,
dropping it, or outputting an error message into the generated HTML.

<$p>For more information see the header file in the "SSI" download.


#include "CmdLine.DH"


;===========================================================================
<$Heading Id="SourceCode" Text="The Source Code">
<$HeadingDown>
;===========================================================================
<$Index1>
<$Title>


<$OrdList>
<$li>There is no limit to how long a line may be, so the only practical
limit will be whatever your editor or other tools impose.

<$p>You will wish to also check out the following extra details<$colon>

<$UnNumberedListCompact>
   <$li><$LinkTo Text="White Space">
   <$li><$LinkTo Text="Commenting">
   <$li><$LinkTo Text="Line Continuation">
   <$li><$LinkTo Text="<$IdqTextq>">
   <$li><$LinkTo Text="<$IdqRestq>">
   <$li><$LinkTo Text="Dependancies">
<$eUnNumberedListCompact>


<$li>There is a range of
"<$LinkTo Text='Standard Definitions'>"
available for use in your source.  You can create your own as well
(for example a formatted date/time of your document).

<$li>You can selectively include or exclude portions of the source
code using the "<$LinkTo Text='#if'>" command.

<$li>Large portions of text (with or without HTML tagging) that you place in
multiple places which you feel <$BoldItalic Text='must'> be kept in sync
can be defined once with "<$LinkTo Text='#define'>" and referenced many
times.

<$li>If you wish to use PPWIZARD and a WYSIWYG (GUI) Editor and the editor
cracks up at the PPWIZARD tags and commands you can used the
<$LinkTo Text='/HideCmd'> switch to effectively hide ppwizard related stuff
in html comments.
<$eOrdList>





;===========================================================================
<$Heading Text="White Space">
;===========================================================================
<$Index2>
<$Title>

<$p>By default, leading whitespace is ignored.  You can use the
"<$LinkTo Text='KeepIndent'>" to alter this. Even when not ignored
all PPWIZARD commands may be indented from the left if you wish.

<$p>Trailing whitespace is always removed from a line.  If you must have
trailing whitespace you could specify one or more
"<$LinkTo Text='<$LT>?Space<$GT>'>" codes.

<$p>By default blank lines (after
<$LinkTo ID="Commenting" Text="comment removal">) are ignored.
You can use the "<$LinkTo Text='LeaveBlankLines'>" option
to alter this.


;===========================================================================
<$Heading Text="Commenting">
;===========================================================================
<$Index2>


<$Title Text="Line Comments">

<$p>By default the commenting character is '<$Red Text=';'>'.
If a line begins with this character then it is ignored.

<$p>The line comment character can be modified with the
<$LinkTo Text='LineComment'> option or for the odd one of two
characters starting a line you can use the
"<$LinkTo Text='<$LT>?SemiColon<$GT>'>" code if required.


<$Title Text="InLine Comments">

<$P>If the line contains the line comment character doubled up (as in
<$Red Text=';;'>)       ;;This will be removed
then everything after <$Bold Text="the last occurance"> of this string
is considered to be an inline comment and is removed.

<$p>You could add '<$Red Text=';<?x3B>'>' to the end of a line so
that an earlier occurance and everything following does not get removed.
You can also use the
"<$LinkTo Text='<$LT>?SemiColon<$GT>'>" code if required.

<$p>Note that if the line being dropped is in the middle of a set of
<$LinkTo Id='Line Continuation' Text='continued lines'>
then the line continuation characters at the end (or not at the end)
of the dropped line <$Bold text=^are not ignored^>.

<$p>Note that a line starting with ";;"      ;;This will be removed
is not treated as a line comment but an inline comment, this does not
usually make any difference however it will pass through a blank line if
you are using the "<$LinkTo Text='LeaveBlankLines'>" option!


<$Title Text="Commenting Blocks of Lines">

<$p>The easiest way to comment out multiple lines at one time is to use the
"<$LinkTo Text='#ifdef'>" command to check for a name that you will ensure
never exists, such as in the following example<$colon>
<$Example STATE="REMEMBER">
;--- This is a line comment ---
#define Highlight <B>{$Text}</B>   ;;Comment here

#ifdef xxxx
1st line commented out ;;Inline Comment here
2nd line commented out
3rd line commented out
#endif

Another line line ;;<-Want this    ;;This will be removed
<$eExample>

<$p>Note that if instead of "xxxx" you used something like "MY_DEBUG" you
could then use <$LinkTo Text='/define'> to define this when you wanted
to enable debugging and you could then selectively output "debug"
information.

;===========================================================================
<$Heading Text="Line Continuation">
;===========================================================================
<$Index2>
<$Title>

<$p>PPWIZARD can handle any length line (subject to any REXX
interpreter limitations), however the editor you are using may
have limitations or you just might want to format the line better. PPWIZARD
allows you to specify that a line continues onto the next line.
The two or more lines will be merged together.

<$p>You can continue long lines by placing the line continuation
characters ('<$Red Text=' \'>' by default) at the end of a line that
continues onto the next.

<$p>The <$LinkTo Text='#('> command provides an alternative to
the use of the line continuation characters and the
<$LinkTo Text='#DefineRexx'> command provides a simpler way
of formatting REXX code.

<$p>It is not valid for the last line of a file to contain the line
continuation characters, all combined lines must come from the one
input file.

<$p>This capability would be most useful for <$LinkTo Text='#define'>
commands.

<$p>The "<$LinkTo Text='LineContinuation'>" option can be used to
disable line continuation or to change the continuation character.

<$p>When you have a long <$LinkTo Text='#define'> statement that
spans lines you can have any commands (such as <$LinkTo Text='#if'>,
<$LinkTo Text='#elseif'> and <$LinkTo Text='#endif'>)
within a continue block, however these commands themselves
<$Bold Text='NEVER'> continue on following lines.

<$p>While line continuation is taking place blank or
<$LinkTo ID="Commenting" Text="comment lines"> are treated no
differently from any other lines (that is they are not completely
ignored as would normally be the case).
If a comment line is found while collecting continued lines it must
contain line continuation characters if the continuation is to continue.

<$p>There are actually a number of line continuation types which make for
an easier to read shorthand for other variations. All valid variations
are listed below<$colon>

<$OrdList>
<$li><$Red Text='-\'>
<$Br>
All trailing whitespace is removed from this line before the next line
is added.

<$li><$Red Text='+\'>
<$Br>
All trailing whitespace is removed from this line before a
space and then the next line is added.

<$li><$Red Text=' \'> (space + slash)
<$Br>
All trailing whitespace is removed from this line before a single space
and the next line is added.

<$li><$Red Text='%\'>
<$Br>
All trailing whitespace is removed from this line before a newline code
and the next line is added.
<$eOrdList>

<$p>If the line does not end in one of the above 2 character codes then the
continuation character is ignored.  Note that '+\' and ' \' currently serve
the same purpose, in a future release you will probably be able to set
the default continuation type for ' \'.


<$p>Note that line continuation does not occur when the
<$LinkTo Id='#AsIs' Text='#AsIs "ON"'> is used.

<$Title Text='Example of #if Use Within Line Continuation'>
<$Example STATE="REMEMBER">
#define TheSame                                      \
        <P>Hi, my name is Dennis Bareis and I have   \
           been using OS/2 and developing for        \
        #if '<$AtWork>' = 'Y'                        \
           BNZ                                       \
        #elseif                                      \
           *WRONG INC*                               \
        #endif                                       \
        on and off since the original 1.0 version.
<$eExample>

<$p>The above shows the creation of a multi-line macro.
It is recommended (and in some cases required) that the definition be
formatted as above, that is the line is continued by '\' after the macro
name.
All other line continuation can be as per your requirements (the above is
simple but not ideal...).

<$Title Text='Example - Good Formatting, Macro Use'>
<$Example STATE="REMEMBER">
<$MyMacro                         \
           Parm1=^a parameter^    \
           Parm2=^a parameter^    \
           Parm3=^a parameter^    \
>
<$eExample>


;===========================================================================
<$Heading Text="<$IdqTextq>">
;===========================================================================
<$Index2>
<$Title>

<$p>Many commands require quoted text.
The only thing special about
the quotes in this program are that they can be almost any character
(anything non-alphanumeric).
Tthe only restrictions are as
follows<$colon>

<$OrdListCompact>
<$li>The same quote character must appear at the start and end of the
text.

<$li>If another parameter follows then there must be at least one
space after the end quote character.

<$li>You can omit the quote characters if the first character is
alphanumeric and the the text does not contain spaces.
<$eOrdListCompact>

<$p>The rexx function <$LinkToRoutine Text="GetQuotedText"> can be used
in your own code to read quotes values such as this.

<$Title Text='EXAMPLES'>

<$p>The following are examples of valid quoted strings<$colon>


<$UnNumberedListCompact>
<$li>"A string"
<$li>'Another string'
<$li>^A 'string' which contains "quotes"^
<$li>ABC
<$li>NoQuotesRequired
<$eUnNumberedListCompact>


;===========================================================================
<$Heading Text="<$IdqRestq>">
;===========================================================================
<$Index2>
<$Title>


<$p>Many commands require quoted text, this format of quoted text is only ever
used for the <$Bold Text="last parameter"> of some commands.

<$p>This is very similar in function to the "<$LinkTo Text="<$IdqTextq>">" method
except that no more parameters are expected after the current one.  All
"<$LinkTo Text="<$IdqTextq>">" examples are valid.

<$p>Everything is the same as for "<$LinkTo Text="<$IdqTextq>">" except<$colon>

<$OrdListCompact>
<$li>The quote character can actually appear within the quoted text.

<$li>If the value is unquoted the rest of the line (stripped
of leading <$amp> trailing whitespace) is used.

<$li>Nothing follows the text.
<$eOrdListCompact>

<$p>The rexx function <$LinkToRoutine Text="GetQuotedRest"> can be used
in your own code to read quotes values such as this.

<$Title Text='EXAMPLES'>

<$p>The following are examples of valid quoted strings<$colon>


<$UnNumberedListCompact>
<$li>^A 'string' which contains "quotes"^
<$li>"A string with "imbedded" double quotes"
<$eUnNumberedListCompact>







<$HeadingUp>
#include "MACROS.DH"





;===========================================================================
<$Heading Text="Dependancies">
;===========================================================================
<$Index1>
<$Index1 Text="Filter - Dependancies">
<$Index1 Text="Hook - Dependancies">
<$Title>

<$p>If you know what a make file does
then this is basically the functionality PPWIZARD is trying to supply.  Once
you have built your output files you don't need to rebuild them unless you
modify one of your source files.  PPWIZARD actually does a very much
better job than any make-file-based process.

<$p>Let's consider a very complicated example where<$colon>
<$OrdList>
   <$li>The source file is called "INPUT.IT".
   <$li>It #includes "MACROS.IH".
   <$li>For some stupid reason it reads in line one of "CONFIG.SYS".
   <$li>It creates "OUTPUT.OUT" and "ALSO.OUT".
   <$li>You have many other ".IT" files with their own dependancies.
<$eOrdList>

<$p>The whole process might take a while.  You really only want to
preprocess the above 3 input files to produce the 2 output files
if you need to.
PPWIZARD stores information in a dependancy file for each compile
which will allow it to check whether a build is required or not.  It will
detect if any input or output files have changed or if they are missing and
begin to rebuild the output.

<$p>To conditionally make your ".IT" files you could use:

<$Example STATE="REMEMBER">
ppwizard  *.it  /output:out\*.htm /CrLf /DependsOn:Depends\*.*.dep
<$eExample>

<$p>This command says to make "*.IT" and put all output into the "OUT"
directory and creates a "DEPENDS" directory and places dependancy
information in this directory.

<$p>Most dependancies can be handled by the preprocessor but sometimes
you need to help identify the input and output files.  For example, you
probably used a <$LinkTo Text='REXX'> linein() command to
read from "CONFIG.SYS", you
will need to use the <$LinkTo Text='#DependsOn'> command to indicate
this one. In a similar manner, the example generates 2 output files;
if you used the REXX lineout() command to create these then you would
again need to use the <$LinkTo Text='#DependsOn'> command to indicate
this output dependancy.

<$p>You might wish to have a look at these switches<$colon>
<$OrdListCompact>
   <$li><$LinkTo Text='/DependsOnComplete'>
   <$li><$LinkTo Text='/DependsOnWarnings'>
<$eOrdListCompact>

<$p>Note that you can use the <$LinkTo Text="HOOK_DEPENDSON"> macro to
add to or filter the information written to the dependancy file.



;----------------------------------------------------------------------------
;--- PPWIZARD commands ------------------------------------------------------
;----------------------------------------------------------------------------
#include "Commands.DH"

;----------------------------------------------------------------------------
;--- STANDARD DEFINITION (Variables) ----------------------------------------
;----------------------------------------------------------------------------
#include "STDDEFN.DH"

;----------------------------------------------------------------------------
;--- REXX doco --------------------------------------------------------------
;----------------------------------------------------------------------------
#include "REXX.DH"

;----------------------------------------------------------------------------
;--- CONFIGURATION ----------------------------------------------------------
;----------------------------------------------------------------------------
#include "CONFIG.DH"

;----------------------------------------------------------------------------
;--- DEBUG ------------------------------------------------------------------
;----------------------------------------------------------------------------
#include "DEBUG.DH"



;----------------------------------------------------------------------------
;--- LINKS ------------------------------------------------------------------
;----------------------------------------------------------------------------
#include "LINKS.DH"

;----------------------------------------------------------------------------
;--- Include EXTENSIONS -----------------------------------------------------
;----------------------------------------------------------------------------
#include "PPW_EXTN.DH"

;----------------------------------------------------------------------------
;--- Include PERFORMANCE ----------------------------------------------------
;----------------------------------------------------------------------------
#include "PERFORM.DH"


;----------------------------------------------------------------------------
;--- Include EZINE ARTICLES -------------------------------------------------
;----------------------------------------------------------------------------
#include "EZINE.DH"






;############################################################################
<$HeadingUp>
<$Heading Id="Examples" Text="Examples / Tips">
<$HeadingDown>
;############################################################################
<$Title>

<$p>As well as the many examples that follow, you should also have a look at
the <$LinkTo Text='PPWIZARD Extensions'> section as it contains many header
files that make excellent examples.

;===========================================================================
<$Heading Id="TipExpandMacro" Text="A Macro Which Expands Another">
;===========================================================================
<$Index1>
<$Index1 Text="Expand Macro - A simple trick">
<$Title>

<$p>Sometimes you wish to delay the expansion of a macro.
This might be so that you can display a symbols name as well as refer to
its value.

<$p>The following is a very simple macro which expands a macro whose name is
passed<$colon>
<$Example STATE="REMEMBER">
;--- Expands a macro (macros name is passed) ---
#define ExpandMacro <${$#1}>
<$eExample>

<$p>The following macro makes use of the above macro to display the color
name in a "C" style comment as well as expanding the color into the integer
some fictional subroutine requires<$colon>

<$Example STATE="REMEMBER">
;--- Define a macro to change color ------------
#define RED    1
#define GREEN  2
#define BLUE   3
#define ChangeColor                               \
        /*--- The color used was "{$#1}" ---*/   %\
        ChangeColor(<$ExpandMacro "{$#1}">);
<$eExample>

<$P>This<$colon>
<$Example STATE="REMEMBER">
<$ChangeColor "RED">
<$eExample>

<$P>Expands to<$colon>
<$Example STATE="REMEMBER">
/*--- The color used was "RED" ---*/
ChangeColor(1);
<$eExample>



;--- Wise OLE AUTOMATION EXAMPLE --------------------------------------------
#if    ['<$DocType>' <> 'IPF']
       #include "OLEWISE.DH"           ;;Don't put into IPF manual
#endif



;===========================================================================
<$Heading Id="AddDependenciesThatMatchMask" Text="Adding Dependencies via a File Mask">
;===========================================================================
<$Index1>
<$Title>

<p>The follow creates macros which can find all files match a mask you
supply and call one of the following routines:
<$UnNumberedListCompact>
    <$li><$LinkToRoutine Text='AddInputFileToDependancyList'>
    <$li><$LinkToRoutine Text='AddOutputFileToDependancyList'>
    <$li><$LinkToRoutine Text='AddTempFileToDependancyList'>
<$eUnNumberedListCompact>

<p>Note that there is an INPUT dependancy type of "*Files", this is not the
same as using these macros as these macros do not store the mask, just
individual files.

<p>The following code has both PPWIZARD and rexx interfaces:
<$ExampleFile INDENT=0 FILE="EXAMPLES.DH" FRAGMENT="[AddDependenciesThatMatchMask]" STATE="REMEMBER">



;===========================================================================
<$Heading Id="UrlBookmarks" Text="Creating HTML pages from Windows URL Shortcuts or OS/2 URL Objects">
;===========================================================================
<$Index1>
<$Title>

<$Title Text="Example - WPS URL Objects to HTML">

<$P_URL_BOOKMARKS_INTRO>
<$P>This code highly customises how the header
"FTPLIKE.IH" works.
At the moment I am still working on separating the code to a generic
header file and my specific configuration of this.
Ffor this reason there
will be things in "bookmark.ih" which should not be and vise versa.

;------------------
<HR SIZE="1" COLOR="red"><CENTER><h1>BOOKMARK.IT</h1></center>
<$p>This is the code I use for my specific customisations
(as at <$DateOfFile            File="<$EXAMPLE_BOOKMARK_IT>" SFONT="" EFONT="">,
       <$TimeOfFileHandleColon File="<$EXAMPLE_BOOKMARK_IT>" SFONT="" EFONT="">)<$colon>
<$ExampleFile FILE="<$EXAMPLE_BOOKMARK_IT>" STATE="REMEMBER">

;------------------
<HR SIZE="1" COLOR="red"><CENTER><h1>BOOKMARK.IH</h1></center>
<$p>This is the (becoming) generic header code I use
(as at <$DateOfFile            File="<$EXAMPLE_BOOKMARK_IH>" SFONT="" EFONT="">,
       <$TimeOfFileHandleColon File="<$EXAMPLE_BOOKMARK_IH>" SFONT="" EFONT="">)<$colon>
<$ExampleFile FILE="<$EXAMPLE_BOOKMARK_IH>" STATE="REMEMBER">


;===========================================================================
<$Heading ID="FileMake" Text="FileMake - Create File">
;===========================================================================
<$Index1>
<$Title>

<p>The <$LinkTo Text='#output'> command can be used to create a file
however some file contents doesn't change very often and you'd rather not
update the file (and clobber identifying information such as its date,
time and MD5) for "insignificant" changes
(such as a date/time in a file's comment).

<$Title Text="EXAMPLE">
<$Example STATE="REMEMBER">
#include "MakeFile.MMH"
<$FileMake "<$MAKEMSI_VBSCRIPT_DIR>\VbsToBeInstalled.VBS">
    ;--- The contents of the VBSCRIPT ---------------------------------------
    <?SyntaxCheck>                      ;;Syntax check the generated code

    ;--- Some Code ----------------------------------------------------------
    SomeTime = "<$FileMakeIgnore><?CompileTime><$/FileMakeIgnore>"   ;;Actual value does not significantly affect outcome of this script
    wscript.echo "Hi there, some VBS here!" & vbCRLF & vbCRLF & "SomeTime is " & SomeTime
<$/FileMake>
<$eExample>

<p>See the "FileMake" doco in the online MAKEMSI manual for more detail.

<$Title Text=^FileMake.MMH (extracted from the MAKEMSI tool)^>
<p>The following is the file that is installed by my MAKEMSI tool:
<$ExampleFile FILE="c:\program files\makemsi\FileMake.MMH" STATE="REMEMBER">




;===========================================================================
<$Heading Id="ImportToMultHtmlPages1" Text="Importing fields into 3 HTML documents">
;===========================================================================
<$Index1>
<$Title>

<$p>This example shows how to <$LinkTo Id='#import' Text='import'> a
<$LinkTo ID='ImportDel' Text='comma delimited file'>
into multiple HTML pages.
The page each record goes into depends on the first character of the
"surname" field.
This basic process would also work for
<$LinkTo ID='#import - Fixed Field Records' Text='Fixed Field'>
and
<$LinkTo ID='#import - Multi Line Records' Text='Multi Line'>
imports.

<$Title Text="Example">
<$ExampleFile INDENT=0 FILE="EXAMPLES.DH" FRAGMENT="[EXAMPLE_RECORD_FILTER_COMPLEX]"  STATE="REMEMBER">


<$p>Note that the example above overrides "IMPORT_PROTECT_START" and
"IMPORT_PROTECT_END"; this allows the generated PPWIZARD commands such as
<$LinkTo Text="#if"> and <$LinkTo Text="#output"> to be interpreted, rather
than simply passed through as data.

<$p>In some cases this may not be desirable, as depending on exactly what you are doing
you could put PPWIZARD into a situation where it could "make mistakes"
(such as if a field contained '<?xLT>$').

<$p>Although it can be desirable that PPWIZARD interpret macros and expand
them if you catered for this in your design, I will demonstrate how you
can ensure that they will not be - no matter what.  This will demonstrate
an alternative approach to using the two "WriteLineToTmpImportFile" lines
in the example above and will also ensure that the record line is "protected"
from PPWIZARD<$colon>

<$ExampleFile INDENT=0 FILE="EXAMPLES.DH" FRAGMENT="[EXAMPLE_RECORD_FILTER_COMPLEX_ALT_WRITE]"  STATE="REMEMBER">


<$p>You should also have a look at the
<$LinkTo Id="ImportToMultHtmlPages2" Text="other multiple import example">.
The example on that page is similar but does things in
a completely different way.


;===========================================================================
<$Heading Id="ImportToMultHtmlPages2" Text="Importing Fields, Each Record To Its Own File">
;===========================================================================
<$Index1>
<$Title>

<$p>The follwoing shows the easiest way of solving the problem<$colon>

<$ExampleFile INDENT=0 FILE="EXAMPLES.DH" FRAGMENT="[#Data-#importCsvOnePagePerRecord]" STATE="REMEMBER">


<$Title Text="Not Using #DATA structures">

<$p>I wrote this example for someone who wanted to do pretty much what
you see here, each record of a CSV file creates its own HTML page.
The name of the file is determined by the record number.
This was written before <$LinkTo Text='#data'> structures were available.

<$p>You should also have a look at the
<$LinkTo Id="ImportToMultHtmlPages1" Text="other multiple import example">.
The example on this page is similar but does things in a completely different
way.

<$ExampleFile INDENT=0 FILE="EXAMPLES.DH" FRAGMENT="[EXAMPLE_RECORD_FILTER_COMPLEX_FILEX]"  STATE="REMEMBER">


#include "EXCEL.DH"
#include "CHARTS.DH"





;===========================================================================
<$Heading Text="Create Multiple Files From Template">
;===========================================================================
<$Index1>
<$Index1 Text=^XML - Create many from template sample^>
<$Title>

<$p>This page demonstrates one way a set of data files could be created
based on a template.

<$p>In this particular case multiple XML files are created for Jetform
Central test data.
We wish to generate quite a few variations for each basic type of form
that we support.

<$p>We also wish to support the generation of XML data with real
"life like" customer data as well as use of the XML field name as
data (helps pinpoint errors).

<$p>We currently create about 5000 data files from about 6 templates.

<$p>The following is the contents of "JFTDATA.H" which is a common header file
I will use in all similar Jetform template files<$colon>
<$ExampleFile FILE="EXAMPLES.DH" FRAGMENT="[REFERRAL_HEADER_JFTDATA.H]" STATE="REMEMBER" INDENT=0>

<$p>The following is the contents of the first part of
"REFERRAL.TEM" which is the template component for a "referral"<$colon>
<$ExampleFile FILE="EXAMPLES.DH" FRAGMENT="[REFERRAL_HEADER_REFERRAL.TEM_DEF]" STATE="REMEMBER" INDENT=0>

<$p>The following is the contents of the last part of
"REFERRAL.TEM" which is creating one test file for each set up data (using
the above "referral" template)<$colon>
<$ExampleFile FILE="EXAMPLES.DH" FRAGMENT="[REFERRAL_HEADER_REFERRAL.TEM_CREATE]" STATE="REMEMBER" INDENT=0>

<$p>The following is a sample batch file which shows the test data being
created twice, once with user supplied data (to the"Field" macro) and once
using the XML field names<$colon>
<$ExampleFile FILE="EXAMPLES.DH" FRAGMENT="[REFERRAL_MAKE]" STATE="REMEMBER" INDENT=0>


;===========================================================================
<$Heading Text="Resource Validation - Local">
;===========================================================================
<$Index1>
<$Title>

<$p>This example shows how you could ensure that your local resources
actually exist (you should also have a look at the
<$LinkTo Id="VALRURL.H" Text="validation of remote resources">
support that PPWIZARD supplies).
This helps to eliminate mistakes (its assumed that you won't forget to
FTP local resources to the web server!).
The example is HTML-based but would work for any language or text file where
external resources are referenced.

<$p>While the macros I will show will work, typically everyone has a
different way of working which would probably require these macros to be
modified, however they are great as a guide.

<$Title Text="Generic Macro">

<$p>This macro makes no assumptions about your development
environment and causes PPWIZARD to fail with an appropriate error message
if the resource does not exist.

<$p>The macro takes 2 manditory parameters, one identifies the full name
of the file on the development machine and the other is used for
resource identification purposes (when an error occurs) and is normally how
your HTML references it.

<$p>The macro is as follows<$colon>
<$Example STATE="REMEMBER">
;--- Generic check for resource validity routine ---
#define    CheckResource                                                     \
           #if stream('{$LocalName}', 'c', 'query exists') = ''              \
               #error ^Resource "{$Name}" appears to be invalid. The file "{$LocalName}" could not be located!^ \
           #endif
<$eExample>

<$p>Of course you may not wish to abort PPWIZARD for what you consider to
be a warning situation, in this case you could use
<$LinkTo Text='#warning'> instead.


<$Title Text="Development Environment Specific Macro">

<$p>In HTML, when I refer to an image such as "graphics/fred.gif",
the file "fred.gif" should exist in the "graphics" directory when the HTML
is "run".
The image file could exist anywhere on my development machine, so I will
taylor a graphics validation setup as follows<$colon>

<$Example STATE="REMEMBER">
;--- Check if Graphic exists ------------------------------------------------
#option    PUSH LineContinuation="NULL"      ;;Next line ends with continuation char!
#define    MyLocalGraphicsDirectory    C:\PROJECTS\HOMEPAGE\GRAPHICS\
#option    POP                               ;;Restore original continuation char
#define    MyRemoteGraphicsDirectory   graphics/
#define    ValGraphic                                                        \
           <$CheckResource LocalName=^<$MyLocalGraphicsDirectory>{$SNAME}^   \
                                Name=^<$MyRemoteGraphicsDirectory>{$SNAME}^  \
           >
<$eExample>

<$p>The above <$LinkTo Text='macros'> are probably defined in a validation or
other common header file. Note that you might wish to use shorter names such
as "vlg" for "validate local graphic" etc.
To actually test that an image file exists I could use<$colon>
<$Example STATE="REMEMBER">
<$ValGraphic SNAME="fred.gif">
<IMG SRC="graphics/fred.gif">
<$eExample>

<$p>Even the above macro and reference make some assumptions about how I
personally wish to use them, this is another reason why everyone would
probably "roll their own".

<$Title Text="An Alternative Way - #1">

<$p>The problem with the above set of macros is that you have to do
2 operations, the first is to validate the resource and the second
is to use it.

<$p>A better alternative is for the same routine that does the validation
to generate the "remote" resource so that the generic macro (let's
also change to only warning if resource is missing) becomes<$colon>
<$Example STATE="REMEMBER">
;--- Generic check for resource validity routine ---
#define    CheckResource                                                     \
           #if stream('{$LocalName}', 'c', 'query exists') = ''              \
               #Warning ^$MR00^ ^Resource "{$Name}" appears to be invalid. The file "{$LocalName}" could not be located!^ \
           #endif                                                            \
           {$Name}             ;;"output" the "runtime" file name
<$eExample>

<$p>Now the image-based macros might look like<$colon>
<$Example STATE="REMEMBER">
;--- Check if Graphic exists ------------------------------------------------
#option    PUSH LineContinuation="NULL"      ;;Next line ends with continuation char!
#define    MyLocalGraphicsDirectory    C:\PROJECTS\HOMEPAGE\GRAPHICS\
#option    POP                               ;;Restore original continuation char
#define    MyRemoteGraphicsDirectory   graphics/
#define    UseGraphic                                                        \
           <$CheckResource LocalName=^<$MyLocalGraphicsDirectory>{$SNAME}^   \
                                Name=^<$MyRemoteGraphicsDirectory>{$SNAME}^  \
           >
<$eExample>

<$p>And to use the macro becomes automatic and simple<$colon>
<$Example STATE="REMEMBER">
<IMG SRC="<$UseGraphic SNAME='fred.gif'>">
<$eExample>

<$p>Note that I kept the "UseGraphic" macro simple for demonstration
purposes, for my purposes I would create a higher level "img" macro
which not only validated the file exists but used
<$LinkToRoutine Text='GetImageHeightWidth'> (by default) to automatically
calculate the image size.
Other "img" tag parameters could be passed as macro parameters (with
suitable defaults).

<$p>An HTML validation version would be slightly more complex than the above,
since you would probably wish to also handle the "#location" suffix.
The simplest (and maybe best) way to handle it might be just to have a new
optional parameter.
Another complication is that you would probably look for a
local file with the extension ".IT", again exactly how it looks is really a
personal preference.



<$Title Text="An Alternative Way - #2">

<$p>Under OS/2 there is a free URL checking program which can be given a list
of URLs to check. Similar programs will exist for other operating systems.

<$p>You could create a ".URL" file for each HTML page and have your macros
not only check that everything is fine locally, but add each URL in turn to
the new file (deleted at start of build).
Later, when online and after updating your web site, you could run the lists
through the URL checking program.

<$Title Text="Case Sensitivity">

<$p>None of the code shown actually checks the case of the filename so its
possible that although the code shows that the file exists locally, if
copied to a unix server a "browser" will not find the file.
There are a number of changes you can make to check the case or, even simpler,
to transfer the files to the unix server in lower case and ensure
that you refer to the files in lower case.


<$Title Text="SiteCopy">

<$p>So as to be very sure that you never forget to correctly update your
web site you can use an automated tool such as "SiteCopy" to FTP new
or modified files and directories.
It will also delete obsolete files and directories.

<$p>This tool is a bit rough around the edges but it is free and if
you provide the developers with constructive feedback they will
probably listen.
I am using this tool for my site updating.

<$p>There are OS/2, Windows, and other ports of the unix program; the
main sitecopy page is at <$HtmlPage Page=^<$HttpSiteCopy>^>.

<$p>I recommend that Windows users download my "SITECPY" download as this
has been repackaged so it is a breeze to install and setup and does not
require command line access for typical tasks.
It is available from <$HtmlPage Page=^<$HttpDbSiteCopyPage>^>.


;===========================================================================
<$Heading Text="SHARING HEADERS - HTML + REXX CGI">
;===========================================================================
<$Index1>
<$Title>

<$p>Whenever you use the <$LinkTo Text='#define'> command to define
something you have already decided (whether or not you realise it) the
contexts it can be used in.

<$p>As an example, you could create a definition which expands to a
filename surrounded by double quotes; this can only be used in situations
where the double quotes are required (or won't interfere).
Your other major choice was not to supply double quotes; this then requires
you to supply double quotes when used in situations where the quotes are
required.

<$p>Sometimes you can have a mismatch between "languages" which mean that
you will need to get "tricky" when creating definitions when a header file
is shared, such as where a common header file is shared between HTML and
<$LinkTo Text='REXX'> code (server CGI script for example).

<$p>You should understand that PPWIZARD has a <$LinkTo Text='/CGI'>
mode, this example does <$Bold text="not"> cover this at all.
The REXX CGI script discussed in this example is generated by PPWIZARD
and placed onto the web server for execution.
When the <$LinkTo Text='/CGI'> mode is used, the header sharing issues
discussed here, along with the solutions, are not relevant and in a lot of
cases using this switch may be the simplest solution.


<$Title Text=^Some REXX CGI / HTML Issues^>

<$OrdList>
<$li>REXX has a limit on the size of a literal.
     So if you had a standard HTML footer which successfully expands to
     2000 characters in a HTML document, simply putting quotes around the
     text for REXX would result in a 2000 byte literal.
     The limit is more likely to be around 250 bytes!

<$li>In a REXX CGI script it may be that some substituted text
     (macro parameter) may not be known until runtime whereas
     with HTML you are likely to be able to "hard code" it.

<$li>Some REXX interpreters also have a limit on the maximum length of a
     command.

<$li>There may be a maximum line limit in some REXX interpreters.
<$eOrdList>

<$Title Text=^EXAMPLE - COMMON HEADER^>

<$ExampleFile FILE="EXAMPLES.DH" FRAGMENT="[SHARE_HEADER_COMMON_HEADER_1]" STATE="REMEMBER" INDENT=0>

<$p>In the above "RexxConcat" is designed to be used "every so often" (within
    REXX's literal limit).
    When expanding in HTML it does nothing.
    In REXX code it finishes off the literal, statement and line
    then starts another.

<$p>The "RexxQuote" is designed to be used in place of any single quotes you
    might wish to output in the expanded text.
    There should be few of these as you will try to use double quotes
    everywhere.

<$p>The following shows how a large macro might make use of the above
    definitions (note that a lot of external macros are referenced which
    are not shown)<$colon>


#AutoTagState + Remember
#AutoTag       ^RexxConcat^   ^<$ExampleDarkGreen Text='RexxConcat'>^
#AutoTag       ^RexxQuote^    ^<$ExampleDarkGreen Text='RexxQuote'>^
<$ExampleFile FILE="EXAMPLES.DH" FRAGMENT="[SHARE_HEADER_COMMON_HEADER_2]" STATE="REMEMBER" INDENT=0>
#AutoTagState -

<$p>The following show how one of the macros could be used to
generate a title in HTML<$colon>
<$ExampleFile FILE="EXAMPLES.DH" FRAGMENT="[SHARE_HEADER_HTML]" STATE="REMEMBER" INDENT=0>

<$p>The following shows how one of the macros could be used to
generate a title in a REXX CGI script (needs to be written to stdout)<$colon>
<$ExampleFile FILE="EXAMPLES.DH" FRAGMENT="[SHARE_HEADER_REXX_CGI]" STATE="REMEMBER" INDENT=0>

<$p>Note that the ReplaceString() used above is not PPWIZARD's, as of course
at runtime it is unavailable.
My website contains the source code for this and many other handy routines.



;===========================================================================
<$Heading Text="TEXTEDIT with PPWIZARD">
;===========================================================================
<$Index1>
<$Title>

<$p>I have another handy program called TEXTEDIT, it takes a text file as
input.
PPWIZARD can simplify handling of any text file and this example shows how
I have used it to create some "macro" commands that not only simplifies the
syntax but checks the return code (TEXTEDIT aborts on error).

<$p>The code shown here is a small fragment of what I use to completely
automatically extract menus, dialogs, etc., out of Netscape and modify or
delete controls, then put the modified resources back into Netscape.

<$Title Text='DLG102.TE - The MAIN Program'>
<$ExampleFile FILE="EXAMPLES.DH" FRAGMENT="[TEXTEDIT_MAIN]" STATE="REMEMBER" INDENT=0>


<$Title Text='DIALOG.H - Dialog Specific Header'>
<$ExampleFile FILE="EXAMPLES.DH" FRAGMENT="[TEXTEDIT_DIALOG_H]" STATE="REMEMBER" INDENT=0>



<$Title Text='TEXTEDIT.H - Generic Header (for dialogs, menus etc)'>
<$ExampleFile FILE="EXAMPLES.DH" FRAGMENT="[TEXTEDIT_TEXTEDIT_H]" STATE="REMEMBER" INDENT=0>




;===========================================================================
<$Heading ID="ImportSqlViaRexx" Text='Accessing SQL DATABASES Directly'>
;===========================================================================
<$Index1>
<$Index1 Text="SQL - importing using rexx code">
<$Title>

<$p>Note that PPWIZARD has an <$LinkTo ID="ImportSQL" Text="#import">
command that can probably handle most SQL requirements but the samples
shown here are useful if you have more complex requirements or simply as
samples for the facilities used.

<$p>These examples use Mark Hessing's <$Red Text="RexxSQL"> library
to access the database program.
Its free and is available for multiple operating systems and can
access many different database programs.
its available from "<$HtmlPage Page=^<$HttpHesslingSQL>^>".

<$p>Note that the routine <$LinkToRoutine Text='ErrorSQL'> has been
provided specifically for your use when accessing SQL databases directly
as shown here.

<$Title Text="Example #1">
#AutoTagState + Remember
#autotag "ErrorSql("                          ^<$LinkTo Text='ErrorSql'>(^
#autotag "LoadRexxSql"                        ^<$LinkTo Text='LoadRexxSql'>^

<$p>This example was developed and tested under Windows 2000, accessing a
Microsoft Access 2000 database.
While it shows how to obtain the rows it is a bit simplistic in that all it
does is display the description column of each row matching the query.
In real life you would probably be creating a HTML table.

<$ExampleFile INDENT=0 FILE="EXAMPLES.DH" FRAGMENT="[ImportAccess2000]" STATE="REMEMBER">


<$Title Text="Example #2">

<$p>This example shows you how to access data using the
"<$Red Text="mSQL">" (free) database program under OS/2.
The database we will process is called "supersite" and the table
we will access is "link".

<$p>You may want to have a look at the <$LinkTo Text='#evaluate'> routines
<$LinkTo ID='AsIs' Text='AsIs()'> and
<$LinkTo ID='AutoTag' Text='AutoTag()'>.

<$Title Text="mSQL EXAMPLE">
<$ExampleFile INDENT=0 FILE="EXAMPLES.DH" FRAGMENT="mSQLImport_Links" STATE="REMEMBER">
#AutoTagState -




;===========================================================================
<$Heading Text='Loading XML into a DOM (in windows)'>
;===========================================================================
<$Index1>
<$Index1 Text="XML - Importing using rexx code">
<$Title>

<$ExampleFile FILE="EXAMPLES.DH" FRAGMENT="[ExampleOfXmlLOadingAndRexxCleanupProcessing]" STATE="REMEMBER">


;===========================================================================
<$Heading Id="RexxPreprocessing" Text="Rexx Preprocessing">
;===========================================================================
<$Index1>
<$Title>

<$p>This program, while mainly designed for HTML processing, could be
used for most languages.  It has specific support built in for the
preprocessing of REXX code.

<$p>REXX code is, by default, packed.   This makes the resultant ".CMD"
file much smaller than the original code and in many cases this would
be enough of a reason to use it (although the packing is irrelevant
if you then compile the ".CMD" into a ".EXE" using my REXX compiler).
Also note that the packing will not speed up the execution of your
code although it may slightly speed up the initial tokenization.

<$p>If you examine the small
<$LinkTo Id='RexxExample' Text='example'>, you will notice that I
used "<$LinkTo Text='#ifdef'>" commands to determine which parts of the
header file I wished to include.  You could easily extend this
concept to allow debug code to be added only when you wish to debug
or have variations on error handling (log the message, ignore it,
etc.).  I don't normally define my subroutines as procedures because
in my opinion the disadvantages of the way REXX does it outweigh the
advantages. My
<$LinkTo Id='REXAMPLEXH' Text='example header file'> has been
written so that the user of the subroutines can determine not only
whether they should be procedures but what variables they should
expose if they are!

#define+  PPWMPACK      FULL
#include "PPWMPACK.DH"






;===========================================================================
<$HeadingDown>
<$Heading Id="RexxExample" Text="Rexx Example">
<$HeadingDown>
;===========================================================================
<$Index1>
<$Title>

<$p>Note that the REXX source code page contains much better examples.
It is best to look at the more recently modified ones as they are more likely
to be making use of more recently introduced features or techniques.
The "AddComma" and "PPWSORT" are two packages well worth studying.

<$p>The following batch file was used to generate the
REXX code<$colon>
<$ExampleFile INDENT=0 FILE="MakeRexx.CMD" STATE="REMEMBER">


<$p>The source files are<$colon>
<$OrdListCompact>
<$li><$LinkTo Id='REXAMPLEX'  Text='REXAMPLE.X'>
<$li><$LinkTo Id='REXAMPLEXH' Text='REXAMPLE.XH'>
<$eOrdListCompact>

<$p>The generated REXX code is<$colon>
<$OrdListCompact>
<$li><$LinkTo Id='REXAMPLEREX'  Text='REXAMPLE.REX'>
<$eOrdListCompact>




;===========================================================================
<$Heading Id="REXAMPLEX" Text="REXAMPLE.X">
;===========================================================================
<$Index2>
<$Title>
<$ExampleFile INDENT=0 FILE="REXAMPLE.X" STATE="REMEMBER">


;===========================================================================
<$Heading Id="REXAMPLEXH" Text="REXAMPLE.XH">
;===========================================================================
<$Index2>
<$Title>

<$ExampleFile INDENT=0 FILE="REXAMPLE.XH" STATE="REMEMBER">


;===========================================================================
<$Heading Id="REXAMPLEREX" Text="REXAMPLE.REX (generated output)">
;===========================================================================
<$Index2>
<$Title>

<$ExampleFile INDENT=0 FILE="REXAMPLE.REX" STATE="REMEMBER">







;--- End of source code -----------------------------------------------------
<$DocumentEnd>

